GNU bug report logs - #42738
[Work in progress] gnu: emacs: update to 27.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jack Hill <jackhill@HIDDEN>; Keywords: fixed; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 42738 <at> debbugs.gnu.org and Jack Hill <jackhill@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 7 Sep 2020 09:44:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 07 05:44:43 2020
Received: from localhost ([127.0.0.1]:48109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFDhb-0006qd-4E
	for submit <at> debbugs.gnu.org; Mon, 07 Sep 2020 05:44:43 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:47889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kFDhZ-0006qP-Aj
 for 42738 <at> debbugs.gnu.org; Mon, 07 Sep 2020 05:44:41 -0400
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 5782BE0005;
 Mon,  7 Sep 2020 09:44:33 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87o8mldesh.fsf@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
 <87pn79e5fb.fsf@HIDDEN>
 <87v9gt3ocx.fsf@HIDDEN> <87pn713nr7.fsf@HIDDEN>
 <87o8mldesh.fsf@HIDDEN>
Date: Mon, 07 Sep 2020 11:44:33 +0200
Message-ID: <87lfhlx6ny.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Done in 43254 <at> debbugs.gnu.org.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl9WAQEACgkQm9z0l6S7
zH9oUwf+K7w+5nfDq+rvKdj4Xhe8nS8cAUV452iWwiE8b9FiESXWJuiKvwpUiU/b
2o+JIM76cBtuCZvWvCHglJqc4msoLX5njq1a2NWxMklrKcRyDUM8AlkJ0d8R7bhk
AJMMoY1ITWGncbNoWZAc+KLNPyUtCZY+KJd/JTQHR4pUGUo2/cDIulJVGZZ3kqPm
edAxl2VYvcOy4F0YHxf1Ztz09mHPLuVv82QAiUBJ+JQstHkZDyze6Z0IFLwaaG9M
hHX1yRXwFAo6OsPJKM60gBEg7RLans1bqH1eA4OJG6bfnVZ5CsRcG+iIfZk7aebN
ctB9frS/73232brq2uapS3ChlmlVFw==
=cHqx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 4 Sep 2020 10:20:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 06:20:44 2020
Received: from localhost ([127.0.0.1]:37528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE8po-0002In-J6
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 06:20:44 -0400
Received: from ns13.heimat.it ([46.4.214.66]:39126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1kE8pn-0002IZ-AH
 for 42738 <at> debbugs.gnu.org; Fri, 04 Sep 2020 06:20:43 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 32BAF3021B9;
 Fri,  4 Sep 2020 10:20:37 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id d95T8z2R2phW; Fri,  4 Sep 2020 10:20:17 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.169.211])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 6A2123021B8;
 Fri,  4 Sep 2020 10:20:17 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 01C33677626;
 Fri,  4 Sep 2020 12:20:14 +0200 (CEST)
Received: (nullmailer pid 19093 invoked by uid 1000);
 Fri, 04 Sep 2020 10:20:14 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87pn713nr7.fsf@HIDDEN>
Organization: Xelera.eu
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
 <87pn79e5fb.fsf@HIDDEN>
 <87v9gt3ocx.fsf@HIDDEN> <87pn713nr7.fsf@HIDDEN>
Date: Fri, 04 Sep 2020 12:20:14 +0200
Message-ID: <87o8mldesh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Pierre,

thank you for working on this!

Pierre Neidhardt <mail@HIDDEN> writes:

> Looks like an upstream issue:
>
> https://github.com/Wilfred/helpful/issues/248

This thread is getting hard to follow, should we open a specific bug on
bug-guix?

WDYT?

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEERcxjuFJYydVfNLI5030Op87MORIFAl9SFN4ACgkQ030Op87M
ORK94xAAzIxDM5X/FfF/6hyt2s/JnzFk9qUm3h0CFhag6U7LFN52wAMaU1vHHKUa
UpE92kKBlD6CBX6EH0jCTsMWyp5uVeN4MhwkZ4qfgQQwutwBFI1uukpKFYWwsX3V
qyklSCoPQQAJDy639FqQILjQRaS6PGThIVimMyKGHExTMclsEne0KVNqOsc2qMZU
iKzOSDVPKl9Jhh77qJeiSP4DcZmvYnPpqt6zmpAJmc+vUmQyv4me7AI6qNzTijWZ
WPSnWCMpagMHeww2r1QnUj3Id2NHcDlkGe+lMrO11qeC1uZCJER7f+mLFmTqcoxp
sWZDFLAP3IAjBVEksId7elsXrQwQWI0XDUkxCnVoUtP0b0OF9HLAvVpQzARxh36t
eYBdgudatVCgKbpqCXekx4yxn8Vgr8D22BQ75nsCszio4zX/lN5EOYs6uoDzkMy8
6teueQGz5IeFmnNx9/S/EnaJwK+fdvsYzPYsM2cX1WMR4PS9+eSCkW7plePmusoR
VdNeSxcAmHHiNGj3SRApQPTHes4M5VeHl7Tq7xYQYSInXxv5KmBfMse5WzncYta6
XgyNAa6RKj0RYgcaOkYUU4WfuPTDDEVHHpQBUZbVvU8URCep5qLb1Vi0GWvxJp40
yV+K9Hj29+Qq+zg2RWYezxUOjyvK0EzzvYGAnYGSnY0TdjrCVfM=
=lRyP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 4 Sep 2020 09:16:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 05:16:53 2020
Received: from localhost ([127.0.0.1]:37406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE7q1-0000dh-Gk
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 05:16:53 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:51455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kE7q0-0000dG-65
 for 42738 <at> debbugs.gnu.org; Fri, 04 Sep 2020 05:16:52 -0400
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id E48B2100006;
 Fri,  4 Sep 2020 09:16:44 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>, Mark H Weaver <mhw@HIDDEN>, Ludovic
 =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87v9gt3ocx.fsf@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
 <87pn79e5fb.fsf@HIDDEN>
 <87v9gt3ocx.fsf@HIDDEN>
Date: Fri, 04 Sep 2020 11:16:44 +0200
Message-ID: <87pn713nr7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Looks like an upstream issue:

https://github.com/Wilfred/helpful/issues/248

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl9SBfwACgkQm9z0l6S7
zH8o7wgAqR5tkvg2RVsh44rnp5rnwyDFKjOd90XR8E8WrfqIN6efOZ6Lvw5ZsErd
AZ0Gx6ROB66cDLDmOcGX4CqDtJsg9u0oV2OvWVD71Ov07IKl5ABl1XPt+F6h2AlY
zJ4MAexEkhfCCUSdHx1l3GfXGeMxCF0s31YU0PzJOtlFTJN0c9V/Q/xMMN4Dnq5t
Df0dLOkhneIpnyEyFYCvbXB4sI2xB7oMo+z3y5XIt0Wzx10QpEjriEUf5QH+YhxU
QS6UQWfJZpfMnsDjMb0nsUZQfe1H1grr+8xZ8At/agtKpQNi+5uttSWOm9MFjmH7
/jDb9duQF+pCJiQinymq659hcLmOlA==
=+ipN
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 4 Sep 2020 09:03:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 05:03:52 2020
Received: from localhost ([127.0.0.1]:37270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE7dQ-0000D0-Et
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 05:03:52 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:48629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kE7dP-0000Cm-7f
 for 42738 <at> debbugs.gnu.org; Fri, 04 Sep 2020 05:03:51 -0400
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 5DA5B20000C;
 Fri,  4 Sep 2020 09:03:42 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>, Mark H Weaver <mhw@HIDDEN>, Ludovic
 =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87pn79e5fb.fsf@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
 <87pn79e5fb.fsf@HIDDEN>
Date: Fri, 04 Sep 2020 11:03:42 +0200
Message-ID: <87v9gt3ocx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

emacs-helpful still seems to be broken on master.
Any idea?
I'll try to fix it later today.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl9SAu4ACgkQm9z0l6S7
zH+fnggApbAzHvUw7PQrkbXccCwtfnJFdqJbqWATGn7D10y6HR3i7ldBxZ6VTKiN
lTNtRh1zUaMhsocJ2Q+T6jLD3976Ot6ms1K1dGnkMRBbwVqjVd27ILto/FsuOSxn
CTzV37iKBG6WOAwxT29zSF/0p5Hgn3pQ2PtEDlQl5xFeIAjsKBzO7QLR30YmxitU
f/GhOlHHU9Vw7PnApnCre0eNXy37MKjyiTiewVhw9GbK8+7leo7UB5ZAPJrFqDua
brBg4UVrkxZAtG+6eoQpVaaaf7Vx7ieh5/m03uy52JRosjU2P18pwKsXqFffbcNq
ahJ0X0BoNlGvWlTE3wVTT/gUEbBh9Q==
=X5we
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 30 Aug 2020 01:50:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 29 21:50:35 2020
Received: from localhost ([127.0.0.1]:49321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCCUN-0004g5-01
	for submit <at> debbugs.gnu.org; Sat, 29 Aug 2020 21:50:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1kCCUI-0004fp-E8
 for 42738 <at> debbugs.gnu.org; Sat, 29 Aug 2020 21:50:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33846)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <brettg@HIDDEN>)
 id 1kCCUB-000767-Fy; Sat, 29 Aug 2020 21:50:23 -0400
Received: from [2605:6000:1a0d:48fb::11d] (port=56474 helo=lenovo-t430)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <brettg@HIDDEN>)
 id 1kCCUA-00033f-Ul; Sat, 29 Aug 2020 21:50:23 -0400
From: Brett Gilio <brettg@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: [bug#42738] [PATCH v4] gnu: emacs: Update to 27.1.
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
 <DM5PR1001MB21050D5A7BEC8ADA8CCD852FC5520@HIDDEN>
 <87h7slmbp6.fsf@HIDDEN>
Date: Sat, 29 Aug 2020 20:50:41 -0500
In-Reply-To: <87h7slmbp6.fsf@HIDDEN> (Mark H. Weaver's message of "Sat, 29
 Aug 2020 16:35:54 -0400")
Message-ID: <877dtgoqa6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, Morgan Smith <Morgan.J.Smith@HIDDEN>,
 jackhill@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mark H Weaver <mhw@HIDDEN> writes:

> Agreed, or perhaps 'emacs' itself should have been updated on a separate
> branch.

+1 for WIP-emacs branch in future.

Brett Gilio




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 29 Aug 2020 20:37:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 29 16:37:10 2020
Received: from localhost ([127.0.0.1]:49210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kC7b4-0005tW-Fd
	for submit <at> debbugs.gnu.org; Sat, 29 Aug 2020 16:37:10 -0400
Received: from world.peace.net ([64.112.178.59]:36146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kC7b3-0005tK-7g
 for 42738 <at> debbugs.gnu.org; Sat, 29 Aug 2020 16:37:09 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kC7aw-0001tC-Mi; Sat, 29 Aug 2020 16:37:02 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Morgan Smith <Morgan.J.Smith@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <DM5PR1001MB21050D5A7BEC8ADA8CCD852FC5520@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
 <DM5PR1001MB21050D5A7BEC8ADA8CCD852FC5520@HIDDEN>
Date: Sat, 29 Aug 2020 16:35:54 -0400
Message-ID: <87h7slmbp6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, jackhill@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Morgan,

Morgan Smith <Morgan.J.Smith@HIDDEN> wrote:
> It seems I am taking some credit for Jack Hill's patch. I simply took
> Jack's patch (labeled as patch v3 in the debbugs thread) and attempted
> to build it with my personal config.

Indeed, I see that now.  Sorry for the mistake.  I suppose it happened
because it was presented to me as "the patch Morgan submitted", but it
would have been better if I had taken the time to read the bug report
more carefully.

Also, I regret if my comments on the preliminary patch made anyone feel
badly.  To be clear, there's no shame in submitting an unfinished patch
for review.  On the contrary, it is a *very* useful contribution.  In
this case, it makes sense to start by updating the main 'emacs' package,
and to worry about the other variants later.  There's no fault in that.

The only fault here lies with me.  I should have looked more carefully
for prior work, and I probably also pushed it prematurely.

> (Also just my 2 cents, we should have upgraded emacs-next to 27.1 and
> only upgraded emacs a week later. Emacs deserves more care than most
> packages due to its dependence on so many other packages. Not trying to
> shame anyone, just something to think of for next time.)

Agreed, or perhaps 'emacs' itself should have been updated on a separate
branch.  In the past, when this was a smaller community and there were
far fewer emacs packages in Guix, I did major updates of Emacs a few
times without causing any obvious problems, but that was a different
time.  It's also possible that Emacs 27 was a more disruptive update
than usual.

Thanks very much for your comments and contributions.

   Best regards,
       Mark




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 29 Aug 2020 17:19:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 29 13:19:16 2020
Received: from localhost ([127.0.0.1]:49065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kC4VY-0001Bz-L3
	for submit <at> debbugs.gnu.org; Sat, 29 Aug 2020 13:19:16 -0400
Received: from ns13.heimat.it ([46.4.214.66]:47460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1kC4VW-0001Bm-GW
 for 42738 <at> debbugs.gnu.org; Sat, 29 Aug 2020 13:19:15 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id CB2D83021B8;
 Sat, 29 Aug 2020 17:19:08 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 7o7JSc4OvGK4; Sat, 29 Aug 2020 17:19:07 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.169.211])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id EFC823021B5;
 Sat, 29 Aug 2020 17:19:06 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 08BD56475FE;
 Sat, 29 Aug 2020 19:19:05 +0200 (CEST)
Received: (nullmailer pid 21028 invoked by uid 1000);
 Sat, 29 Aug 2020 17:19:04 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>,
 Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87lfhybntk.fsf@HIDDEN>
Organization: Xelera.eu
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
Date: Sat, 29 Aug 2020 19:19:04 +0200
Message-ID: <87pn79e5fb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mark H Weaver <mhw@HIDDEN> writes:

[...]

> Pierre Neidhardt <mail@HIDDEN> wrote:
>> I confirm that with Mark's commit
>> emacs-clojure-mode

I've filed bug#43090 with a trivial patch for emacs-clojure-mode, no
need to revert Emacs 27.1 for this bug IMHO.

> and emacs-elisp-refs are also broken.

is there a specific bug report for this plz?

there is also bug#43093 for emacs-ess

can we coordinate our efforts in order to avoid to revert emacs 27.1 by
tagging relevant [1] open emacs packages bugs as critical? [2]

[...]


Thanks! Gio'


[1] can we define "relevant" as: all bugs that breaks a previously
compiling emacs package?

[2]
https://issues.guix.gnu.org/search?query=3Dsubject%3Aemacs+is%3Aopen+severi=
ty%3Acritical

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEERcxjuFJYydVfNLI5030Op87MORIFAl9KjggACgkQ030Op87M
ORJO3g//YsMJUirHhh1sUB1FvarjRhPvBvCEN4Xj7vX/OFv6J/sQvSnZSHIt/W+U
Cw6Zt/L4zmVqNDgIu2R3C3ZI0VFziSYECTQVOiF7R2JLY/HEG0faxChrF8tpMwjZ
vbLBizpsl8o23rtGyT6bMp6h8lH0dORk4Ew2iwBvuGvp8nTgsw5uk2XgpqmIQc1d
ebebcy3hbmrfgLdQbji1HpwOKYUrpi4sT3mJ3CehUYD9GX7TaqbKqZoqA1OoiRIb
0O94evpHWLdTvqkKlk8wmLqyl0c0zUHu6l0p279wLB7lFHAwUXu6WF0KGNTF4F8L
nqGKdFn6xcA3QqrcJefyu6fpGe5jmquUf0FOzLolpv4pe+rCCLZe7h0BI3cP/YfG
ccXDxfhfVp73ptqlF8aiVUOe0XLJzLwBLiITLXqn6fAaYtzXi8D6QZRn17xljAtM
13nAmydy4X0jODkXfnvu0qbkAVHRUGZ6Bypya2PBmydpEP9Vd1SC/QNPgVNztqJi
msCCZOQ1t8sAUFiSxEIZGicDWEC/fg98gfEsSrVl9xl/cYa2RNDNxgk0zD6+V/ol
46MCa0vB2Qa8Fkk2/ar9M3XRWcQHIUkxNIZJCMGbEUWzvfvligiAQHWADHRtsf7r
aB3He9W7bUG64dVm+kRo5KN2GD3OEQw6DhdzQgyZ8SoG++XNqFs=
=1aqV
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 28 Aug 2020 21:10:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 17:10:44 2020
Received: from localhost ([127.0.0.1]:47550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBldz-0000gK-JH
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 17:10:43 -0400
Received: from mail-bn8nam11olkn2010.outbound.protection.outlook.com
 ([40.92.20.10]:9761 helo=NAM11-BN8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1kBldw-0000g3-WD
 for 42738 <at> debbugs.gnu.org; Fri, 28 Aug 2020 17:10:42 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=WaGr6OJlSBl3XrSCNhgHqwn+gtuXJ25cy7bI/z6i+MartGqpGiOIjBFG9zrGvxYr78RW86wb3gEcn89pyHfC5dU9WCw4egTmdRD5owoiFUcG8pfBxZOuV++mGJscn8FjeBpV6e57DULhHB2mTMOIdMFUr2RW8h+JAPsoA2PbTyxHSqzGVdj9dcR6CNCDn1ebRWY14/APppXruw8I6fylDf3z4g/WFqku2e7tTrWx2EyOQeg4c2XTqj4hCzE9cfyU95tfUOazhvMYXrLq6tEJlBAh4OO8BFiZw925CxXp3BidX7jFh0wATm7dfIlOaQXj6AgofI4HPDhGLyn1fzECeA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=8oWJo5DJkvBdUhxil+tuMUNxgq6NlTewdMSIAdJL8Tg=;
 b=AqtPsNGNJ/RVbUhQewCP+gmJ2LJWh3ovGAN75iazY0gelaVP13t7Xi84tpjBzX6XXCj7HELijx/DaqFv06FV9JEK3IxEnyjvD5DxThewqYLoNK6mXz+kvuV2qU25NY4RqbzBGq4pcsG6A/c3gjRtSbX+prMXXycLX0OCGCs/Q+5pJ4E8fYzigQ/gow2jqHHFstnddjtQLBkIpVN98DTPNHeuBQ5z20AXQ5K9K8ZWDuNlRvAMOdj/qgI1DespgkcSWQOFGiNAsUcXKAJesHXjXnf1hW80axn+tZsRQA1tuyDb8/QZ0Qq1TFdnskfGY93IvxQCknYe24iJZ06bQvFphA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=8oWJo5DJkvBdUhxil+tuMUNxgq6NlTewdMSIAdJL8Tg=;
 b=b9bzIFY5+GyOSJoP2vw8jvERWpscFyxGpSqRJ++qe6yYlZ4sperpvW9ltk8ulJDclUWUl85jOsSaY1kPTdNoXD/9Wd2hmQCo4Bnshnz2qQOQ0dYoWzVA5pEKpdReBGaMyHO05w/BStXFSwX+pkUOAlwSmH+nGDg/JPcejTVYmk8wm+tVhB4g/C+C6Kzs2FYpzNTdHdcS5i7r8uqiFxHu7c0aIyYcruRUZpQFTR6BGuvlO/VLtrizw/WXDcPm+mgstPJoFFS7EjvUbSWB9TQqC9K1Czy0XXLWQZ/s9pfO/ZyqC16E6T3Iw/fXXy9yWMb4SWWbzZGdUg0xk/XkQeOaRA==
Received: from CO1NAM11FT046.eop-nam11.prod.protection.outlook.com
 (2a01:111:e400:3861::53) by
 CO1NAM11HT114.eop-nam11.prod.protection.outlook.com (2a01:111:e400:3861::208)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3326.21; Fri, 28 Aug
 2020 21:10:34 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:3861::4d) by CO1NAM11FT046.mail.protection.outlook.com
 (2a01:111:e400:3861::203) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3326.19 via Frontend
 Transport; Fri, 28 Aug 2020 21:10:34 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:828F730B3CBA3514B89DEBC75AC46E725D922510FD802FACC48B1ED9156F4EF8;
 UpperCasedChecksum:07B44B7BF531BD50E8340E565D9E86E3918A5D531B2D1CA5EFD7961C363FF994;
 SizeAsReceived:10762; Count:50
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4%6]) with mapi id 15.20.3326.019; Fri, 28 Aug 2020
 21:10:34 +0000
To: Mark H Weaver <mhw@HIDDEN>, =?UTF-8?Q?Ludovic_Court=c3=a8s?=
 <ludo@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87lfhybntk.fsf@HIDDEN>
From: Morgan Smith <Morgan.J.Smith@HIDDEN>
Autocrypt: addr=Morgan.J.Smith@HIDDEN; keydata=
 mQENBFwIaPkBCAC0ftYeut16x9zh8J7PCe+yVncNdhql5kmTPReny9l1kJ8OJRjBtgbhnS/j
 gImuOkSYJng4jc0PflEf+WoozLznLCHoM0DYHZwX0ThfUvgVMJ+eJEobSpX0n6A5zWdQm2NN
 zy05+iVNi5Bld8779kP1pLqBwbDR/Z4ohnGIrTyHjYNRa9w0xwJ6wytgiTtpgoqeRwEDA3dZ
 teuFD8BM4DDyFJ3Gcr1iAp9geS/PaNKNg0V2o0hGA29LVRqT7IKY9WHgXG7nWcJpL9rUlBXO
 G35NINYB4eAiQrR6CvJbsj6m0Vp39lMXcb5jYqLfZcXLAxKn93oP1srlpD6c0oj5avuhABEB
 AAG0I21vcmdhbiA8bW9yZ2FuLmouc21pdGhAb3V0bG9vay5jb20+iQFOBBMBCAA4FiEEF3oH
 h1HcS/5V5sbnUtk0Fu6qRaYFAlwIaPkCGwMFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQ
 Utk0Fu6qRabAuQf6Ahi++Fq8XmjjsIuM7K39ArSOpDBMV3kjUeJxOg9gUQKNT8k+CKI/jzd8
 B0oALvM0O7yW06qHXqrkTf9XB7tM8mGP+HxHP0BAM9aL0oeq3deKN2Mt1ghhkv1r/ZbmNP+Z
 ZbKhDV98liZhvnDdwPLQfIGPBNpNz5RDSb55XFHEIV8Il36YYHLBVID2TzT5gWUaoqzmZn0R
 DCrVAoR2lqZxStoYR3g2dDZeFbJoAtyl5n2lpO5fQvNG4pbPjiPSfScKBoZLS2R+ExAjTc46
 ed6na5uplzM1Hx+vGl450p4mZkzP12Jj8s0Z7x3yKJbJzbrWK2d2eu+emAuc9uJOHyqFiLkB
 DQRcCGj5AQgAxiMI2Atxw7TUTuIE9+AJ29zxkTfB+UUDCuc/SMx8jB6fE7HMQH1+PecQgMrX
 p1v1II1u13iHj2k0JiET3lBOz7Z7ZSCKnGajkamDH2rWP5au0BuM65EkeYaMQnFZgXNl0zVj
 SdYwrp1RlNntdy5dflDqg49uiYQZAuvQ9r7i8gBwVYc+7Chhrim2zh5sMz+tGam2CggJUe/o
 nxBs0WqV4v0lLxi3GEMmPzkEfDCd7KypOiNmZF5WwabtfAgivHbByyMfvqqLe5mwDkh0GPkZ
 VLDLEnlsdiSKgnRhSNq/RC86+AecwWeJXUuvMAXTHt+2+l7gSHTpJ0nuMtuIhQUU7wARAQAB
 iQE2BBgBCAAgFiEEF3oHh1HcS/5V5sbnUtk0Fu6qRaYFAlwIaPkCGwwACgkQUtk0Fu6qRaZW
 Twf+KU7qiZSJoAvX5HmD4ZF0hHHyUBFA9LzxSjQbD0eaFnkfKOe3iP6VQQd6bLnIMOVNVS7m
 AUFclFS8pa8c/Rilbi3C9T7J3JzES2S4+k3LHYDBINOc2RmeQYI/FnmupCCtcFiVC85huMAU
 /xAsUKRtX6uLRSkhWbkZoFjpXcnHccLZmxXVoynLChySZw6obGsWbN039Da7pdqRL+7PFpCD
 pmrQOKB/FARZKjbblq8GEpv1yJPvv9SxuzQpuQ56MMNMFix3gkM72+lyNs4f2hAFwExTMw2m
 8xcSbieC39Erg54j96CgMCgcmxrORCcgSljZ+58UECBHsXIpRckfEugRUg==
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
Message-ID: <DM5PR1001MB21050D5A7BEC8ADA8CCD852FC5520@HIDDEN>
Date: Fri, 28 Aug 2020 17:10:31 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.11.0
In-Reply-To: <87lfhybntk.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: YT1PR01CA0038.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b01:2e::7) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <f1321d84-289d-6bde-24bb-af871a919d95@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from 255.255.255.255 (255.255.255.255) by
 YT1PR01CA0038.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b01:2e::7) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3326.19 via Frontend Transport; Fri, 28 Aug 2020 21:10:32 +0000
X-Microsoft-Original-Message-ID: <f1321d84-289d-6bde-24bb-af871a919d95@HIDDEN>
X-TMN: [i60Ts4dkFCDR5AjqEypPypEVa4drYFmG]
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 50
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 316ca05a-999c-4d10-8ac6-08d84b96cd58
X-MS-TrafficTypeDiagnostic: CO1NAM11HT114:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: BuiuZQRR2tYA0tAf114GSnBGX4vhcp+HxaABwE78QtAVhVOqohN8yDvUdy8klpiwRUrQcy0PLhItU21l2ACzIgGKjdxJe11g2Vae4n1ATxytfjtiVfc9iS+YTyydOza+XmdybSnGOKIEFZcUcjFKoVpokBNSGwlJUmBJDH+ULkKm1WYoZTr1GIr8smqAGaxNueynIp9fjpCtUZIwGFUIIA==
X-MS-Exchange-AntiSpam-MessageData: hcqipTFHZXo/Yt4T88FhO9JYHDMqIBdZsQ/OTkrcLvoW+YTiSQmJCcXW4aRt9rIsdP9S5tNL30AxKi96DXuhLQvkgUb0msmDdcrNzO7WjZ25Sh52z3PywnYl6KiMJMUirc3YSIefEQNNOn/4wq+T0A==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 316ca05a-999c-4d10-8ac6-08d84b96cd58
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Aug 2020 21:10:33.9482 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: CO1NAM11FT046.eop-nam11.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CO1NAM11HT114
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hello! It seems I am taking some credit for Jack Hill's
 patch.
 I simply took Jack's patch (labeled as patch v3 in the debbugs thread) and
 attempted to build it with my personal config. I noticed that it woul [...]
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RCVD_ILLEGAL_IP        Received: contains illegal IP address
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.20.10 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.20.10 listed in list.dnswl.org]
 0.0 T_PDS_OTHER_BAD_TLD    Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (morgan.j.smith[at]outlook.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
 -0.8 NICE_REPLY_A           Looks like a legit reply (A)
 1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, cjpeople2013@HIDDEN, jackhill@HIDDEN,
 42738 <at> debbugs.gnu.org, dnbarbato@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello! It seems I am taking some credit for Jack Hill's patch.
    I simply took Jack's patch (labeled as patch v3 in the debbugs thread) and
    attempted to build it with my personal config. I noticed that it woul [...]
    
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [40.92.20.10 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [40.92.20.10 listed in list.dnswl.org]
  1.3 RCVD_ILLEGAL_IP        Received: contains illegal IP address
  0.0 T_PDS_OTHER_BAD_TLD    Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (morgan.j.smith[at]outlook.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.8 NICE_REPLY_A           Looks like a legit reply (A)
  1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla

Hello!

It seems I am taking some credit for Jack Hill's patch. I simply took
Jack's patch (labeled as patch v3 in the debbugs thread) and attempted
to build it with my personal config. I noticed that it wouldn't build
properly since emacs wanted libxaw and emacs-no-x wanted some image
librarys (libtiff, libjpeg, etc). The only contributions I made, where
to add libxaw to emacs and to add the configure flags to emacs-no-x. I
made these changes and posted them as patch v4. However, the patch Mark
committed does build for me so you can ignore my contributions (which
weren't well thought out to begin with).

The rest of your questions should be directed to Jack.

(Also just my 2 cents, we should have upgraded emacs-next to 27.1 and
only upgraded emacs a week later. Emacs deserves more care than most
packages due to its dependence on so many other packages. Not trying to
shame anyone, just something to think of for next time.)

Thanks,
Morgan

On 8/28/20 2:57 PM, Mark H Weaver wrote:
> Looking now, here are the main differences I see between our patches:
> 
> * I found that I had to remove the 'restore-emacs-pdump' phase from most
>   of the other emacs variants, namely the ones that use
>   'gnu-build-system', because otherwise the inherited
>   'restore-emacs-pdump' phase would fail.  Morgan's patch seems not to
>   consider most of the other emacs variants, and I'm not sure if they
>   were tested.  I briefly tested all of them except for 'guile-emacs'.
> 
> * Morgan removed the snippet code that deletes "eshell/esh-groups.el",
>   whereas I replaced it with a call to 'find-files' to remove it only if
>   present, as the previous comment suggested.  I'm not sure if this is
>   still needed, though.
> 
> * Morgan's patch adds "libxaw" to inputs and "texinfo" to native-inputs.
>   What's the rationale for these?
> 
> * I added 'pango' to the inputs, because the Emacs NEWS mentioned that
>   Pango was used for font rendering when "--with-cairo" is used.
>   However, it may be that "pango" finds its way into the build inputs
>   without being explicitly mentioned.
> 
> * Morgan removed 'libxft' from the inputs of 'emacs', whereas I didn't.
>   This was an oversight on my part.  However, if we remove it, it's
>   possible that we might need to add it back to 'emacs-no-x-toolkit'.
>   The references that I see to Pango in the Emacs code are within
>   "#ifdef HAVE_GTK3".
> 
> * In 'emacs-no-x', my patch removes the new graphical library inputs
>   (cairo, pango, and harfbuzz) and the "--with-cairo" flag, whereas
>   Morgan's patch leaves "cairo" and "harfbuzz" as inputs, and overwrites
>   the inherited configure-flags to be precisely ("--with-jpeg=no"
>   "--with-gif=no" "--with-tiff=no"), apparently discarding the inherited
>   "--with-modules" and "--disable-build-details" flags.
> 
> * Morgan made 'emacs-wide-int' into a deprecated package, whereas I
>   thought that it might still be useful.  My rationale was this: from a
>   brief skim, it looks like '--with-wide-int' might make *immediate*
>   integers wider, which for some applications might perform much better
>   than the heap-allocated arbitrary-size integers supported by Emacs 27.
>   However, I didn't look carefully at this.
> 
> * I updated "emacs-exec-path.patch" and removed
>   "emacs27-exec-path.patch", whereas Morgan's patch keeps both files and
>   possibly leaves "emacs-exec-path.patch" orphaned.
> 
> * I updated the patches to apply cleanly to Emacs 27, although this was
>   not strictly needed.
> 
> * I updated 'notmuch' in the previous commit to a version that builds
>   successfully with Emacs 27.
> 
> Pierre Neidhardt <mail@HIDDEN> wrote:
>> I confirm that with Mark's commit
>> emacs-clojure-mode and emacs-elisp-refs are also broken.
> 
> Sorry about that.  If the Emacs 27 update breaks important packages, it
> might be that reverting it is the proper action.  If the maintainers
> decide to do this, I would not object.
> 
>    Best regards,
>        Mark
> 




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 28 Aug 2020 18:58:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 14:58:42 2020
Received: from localhost ([127.0.0.1]:47428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBjaD-0005tI-MA
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 14:58:41 -0400
Received: from world.peace.net ([64.112.178.59]:60244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kBjaB-0005t6-OE
 for 42738 <at> debbugs.gnu.org; Fri, 28 Aug 2020 14:58:40 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kBjZv-0006Vk-Vh; Fri, 28 Aug 2020 14:58:24 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87sgc6onvi.fsf@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN>
Date: Fri, 28 Aug 2020 14:57:16 -0400
Message-ID: <87lfhybntk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, cjpeople2013@HIDDEN, Morgan.J.Smith@HIDDEN,
 42738 <at> debbugs.gnu.org, dnbarbato@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Guix,

Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Morgan.J.Smith@HIDDEN skribis:
>
>> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>>
>> * gnu/packages/emacs.scm (emacs): Update to 27.1.
>> [arguments]: Add --with-cairo and --with-modules to #:configure-flags. A=
dd
>> restore-emacs-pdump phase.
>> [inputs]: Add cairo, libxaw, jansson, gmp, and harfbuzz. Remove imagemag=
ick
>> and libxft.
>> [native-inputs]: Add texlive.
>> (emacs-wide-int): Mark as deprecated package.
>> (emacs-no-x):
>> [arguments]: Add --with-jpeg=3Dno --with-gif=3Dno --with-tiff=3Dno
>> to #:configure-flags.
>
> I see that Mark committed a similar patch just yesterday:
>
>   https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D36a09d185343375=
a5cba370431870f9c4435d623
>
> I suppose Mark hadn=E2=80=99t seen the ongoing discussion.

Indeed, I hadn't.  Gah, I'm terribly sorry about this.  I had done some
quick web searches for preexisting work on this, but clearly they were
insufficient, and I've never subscribed to the patches list.  In the
future, I'll know not to rely on web search engines for this.

> Mark, Morgan: could you see if there=E2=80=99s anything we=E2=80=99re mis=
sing from the
> patch Morgan submitted?

Looking now, here are the main differences I see between our patches:

* I found that I had to remove the 'restore-emacs-pdump' phase from most
  of the other emacs variants, namely the ones that use
  'gnu-build-system', because otherwise the inherited
  'restore-emacs-pdump' phase would fail.  Morgan's patch seems not to
  consider most of the other emacs variants, and I'm not sure if they
  were tested.  I briefly tested all of them except for 'guile-emacs'.

* Morgan removed the snippet code that deletes "eshell/esh-groups.el",
  whereas I replaced it with a call to 'find-files' to remove it only if
  present, as the previous comment suggested.  I'm not sure if this is
  still needed, though.

* Morgan's patch adds "libxaw" to inputs and "texinfo" to native-inputs.
  What's the rationale for these?

* I added 'pango' to the inputs, because the Emacs NEWS mentioned that
  Pango was used for font rendering when "--with-cairo" is used.
  However, it may be that "pango" finds its way into the build inputs
  without being explicitly mentioned.

* Morgan removed 'libxft' from the inputs of 'emacs', whereas I didn't.
  This was an oversight on my part.  However, if we remove it, it's
  possible that we might need to add it back to 'emacs-no-x-toolkit'.
  The references that I see to Pango in the Emacs code are within
  "#ifdef HAVE_GTK3".

* In 'emacs-no-x', my patch removes the new graphical library inputs
  (cairo, pango, and harfbuzz) and the "--with-cairo" flag, whereas
  Morgan's patch leaves "cairo" and "harfbuzz" as inputs, and overwrites
  the inherited configure-flags to be precisely ("--with-jpeg=3Dno"
  "--with-gif=3Dno" "--with-tiff=3Dno"), apparently discarding the inherited
  "--with-modules" and "--disable-build-details" flags.

* Morgan made 'emacs-wide-int' into a deprecated package, whereas I
  thought that it might still be useful.  My rationale was this: from a
  brief skim, it looks like '--with-wide-int' might make *immediate*
  integers wider, which for some applications might perform much better
  than the heap-allocated arbitrary-size integers supported by Emacs 27.
  However, I didn't look carefully at this.

* I updated "emacs-exec-path.patch" and removed
  "emacs27-exec-path.patch", whereas Morgan's patch keeps both files and
  possibly leaves "emacs-exec-path.patch" orphaned.

* I updated the patches to apply cleanly to Emacs 27, although this was
  not strictly needed.

* I updated 'notmuch' in the previous commit to a version that builds
  successfully with Emacs 27.

Pierre Neidhardt <mail@HIDDEN> wrote:
> I confirm that with Mark's commit
> emacs-clojure-mode and emacs-elisp-refs are also broken.

Sorry about that.  If the Emacs 27 update breaks important packages, it
might be that reverting it is the proper action.  If the maintainers
decide to do this, I would not object.

   Best regards,
       Mark




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 28 Aug 2020 17:08:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 13:08:53 2020
Received: from localhost ([127.0.0.1]:47302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBhrx-00014O-OM
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 13:08:53 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:42700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1kBhrw-00014A-8u
 for 42738 <at> debbugs.gnu.org; Fri, 28 Aug 2020 13:08:52 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1kBhrj-0007jr-7g; Fri, 28 Aug 2020 13:08:39 -0400
Date: Fri, 28 Aug 2020 13:08:39 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: [bug#42738] [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87h7smd7t1.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.21.2008281307460.4809@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN> <87h7smd7t1.fsf@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: dnbarbato@HIDDEN, cjpeople2013@HIDDEN,
 =?ISO-8859-15?Q?Ludovic_Court=E8s?= <ludo@HIDDEN>, bandali@HIDDEN,
 Morgan.J.Smith@HIDDEN, Mark H Weaver <mhw@HIDDEN>, guix-devel@HIDDEN,
 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 28 Aug 2020, Brett Gilio wrote:

> Also, are we planning to keep emacs-next and have it track 28.x or
> remove it?

I believe bandali was planning to track 28.x.

Best,
Jack




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 28 Aug 2020 17:00:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 13:00:37 2020
Received: from localhost ([127.0.0.1]:47293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBhjw-0000t1-V9
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 13:00:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1kBhjv-0000sp-Je
 for 42738 <at> debbugs.gnu.org; Fri, 28 Aug 2020 13:00:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34501)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <brettg@HIDDEN>)
 id 1kBhjp-0002Tm-5k; Fri, 28 Aug 2020 13:00:29 -0400
Received: from [2605:6000:1a0d:48fb::11d] (port=52508 helo=lenovo-t430)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <brettg@HIDDEN>)
 id 1kBhjo-0007eu-HK; Fri, 28 Aug 2020 13:00:28 -0400
From: Brett Gilio <brettg@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#42738] [PATCH v4] gnu: emacs: Update to 27.1.
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN>
Date: Fri, 28 Aug 2020 12:00:42 -0500
In-Reply-To: <87sgc6onvi.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Fri, 28 Aug 2020 16:18:09 +0200")
Message-ID: <87h7smd7t1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42738
Cc: dnbarbato@HIDDEN, cjpeople2013@HIDDEN, Morgan.J.Smith@HIDDEN,
 Mark H Weaver <mhw@HIDDEN>, guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Morgan, Mark, and all,
>
> Morgan.J.Smith@HIDDEN skribis:
>
>> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>>
>> * gnu/packages/emacs.scm (emacs): Update to 27.1.
>> [arguments]: Add --with-cairo and --with-modules to #:configure-flags. A=
dd
>> restore-emacs-pdump phase.
>> [inputs]: Add cairo, libxaw, jansson, gmp, and harfbuzz. Remove imagemag=
ick
>> and libxft.
>> [native-inputs]: Add texlive.
>> (emacs-wide-int): Mark as deprecated package.
>> (emacs-no-x):
>> [arguments]: Add --with-jpeg=3Dno --with-gif=3Dno --with-tiff=3Dno
>> to #:configure-flags.
>
> I see that Mark committed a similar patch just yesterday:
>
>   https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D36a09d185343375=
a5cba370431870f9c4435d623
>
> I suppose Mark hadn=E2=80=99t seen the ongoing discussion.
>
> Mark, Morgan: could you see if there=E2=80=99s anything we=E2=80=99re mis=
sing from the
> patch Morgan submitted?
>
> At any rate, thanks a lot for the work everyone put in!
>
> Ludo=E2=80=99, a happy Emacs user.

Also, are we planning to keep emacs-next and have it track 28.x or
remove it?

Brett Gilio




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 28 Aug 2020 14:39:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 10:39:07 2020
Received: from localhost ([127.0.0.1]:47102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBfX1-0003bY-77
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 10:39:07 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:38281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kBfWz-0003b2-EW
 for 42738 <at> debbugs.gnu.org; Fri, 28 Aug 2020 10:39:06 -0400
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id B982120002;
 Fri, 28 Aug 2020 14:38:57 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Morgan.J.Smith@HIDDEN, Mark H Weaver <mhw@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <87sgc6onvi.fsf@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 <87sgc6onvi.fsf@HIDDEN>
Date: Fri, 28 Aug 2020 16:38:57 +0200
Message-ID: <87eenqltry.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, cjpeople2013@HIDDEN, 42738 <at> debbugs.gnu.org,
 dnbarbato@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I confirm that with Mark's commit=20
emacs-clojure-mode and emacs-elisp-refs are also broken.

Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl9JFwEACgkQm9z0l6S7
zH+0jAf+PtGE3kxXBpIE3zmTGpVqHBiQYDexVsrbjLHpvtiHos1bRYXmWBoKFcYI
QzOC4+SmtL7L2B5lM6RCA3eH7RUMfbQQIpA5J/ZvZRjx5haUk0CFVgmlLJ+N5GFV
HtdMEm5bYSnZbvFHlju90R4yTGUmo3FAB/FK7xsRhrSg3nGxBXmGuAs1IhHtULsc
elYnKfb+kClMZIB/kEufyj1WMdjw40eg37jta6Cw8IhRvnArP4HCVRYjM2aCSgZx
Avv31jAyttoeK1pu/YT6R2UDKt/VLENnnVO1pVlF1+0CZ2KykwzZcMEN9a6o0YQ3
Jh+ZWMDnzY1MpJ6JtE4moQiSicEkVQ==
=ySfL
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 28 Aug 2020 14:18:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 10:18:25 2020
Received: from localhost ([127.0.0.1]:47054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBfCz-000337-Jw
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 10:18:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kBfCs-00032d-Bl
 for 42738 <at> debbugs.gnu.org; Fri, 28 Aug 2020 10:18:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59130)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kBfCm-0004ro-W5; Fri, 28 Aug 2020 10:18:13 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=49334 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kBfCm-0006Bd-JM; Fri, 28 Aug 2020 10:18:12 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Morgan.J.Smith@HIDDEN, Mark H Weaver <mhw@HIDDEN>
Subject: Re: [PATCH v4] gnu: emacs: Update to 27.1.
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 Fructidor an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 28 Aug 2020 16:18:09 +0200
In-Reply-To: <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
 (Morgan J. Smith's message of "Thu, 27 Aug 2020 17:59:36 -0400")
Message-ID: <87sgc6onvi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, cjpeople2013@HIDDEN, 42738 <at> debbugs.gnu.org,
 dnbarbato@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Morgan, Mark, and all,

Morgan.J.Smith@HIDDEN skribis:

> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>
> * gnu/packages/emacs.scm (emacs): Update to 27.1.
> [arguments]: Add --with-cairo and --with-modules to #:configure-flags. Add
> restore-emacs-pdump phase.
> [inputs]: Add cairo, libxaw, jansson, gmp, and harfbuzz. Remove imagemagi=
ck
> and libxft.
> [native-inputs]: Add texlive.
> (emacs-wide-int): Mark as deprecated package.
> (emacs-no-x):
> [arguments]: Add --with-jpeg=3Dno --with-gif=3Dno --with-tiff=3Dno
> to #:configure-flags.

I see that Mark committed a similar patch just yesterday:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D36a09d185343375a5=
cba370431870f9c4435d623

I suppose Mark hadn=E2=80=99t seen the ongoing discussion.

Mark, Morgan: could you see if there=E2=80=99s anything we=E2=80=99re missi=
ng from the
patch Morgan submitted?

At any rate, thanks a lot for the work everyone put in!

Ludo=E2=80=99, a happy Emacs user.




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Aug 2020 05:36:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 01:36:11 2020
Received: from localhost ([127.0.0.1]:44860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBX3a-0008Oy-9i
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 01:36:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:45094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1kBX3X-0008Op-JU
 for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 01:36:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58872)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jackhill@HIDDEN>)
 id 1kBX3X-0004qf-78; Fri, 28 Aug 2020 01:36:07 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:34852)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jackhill@HIDDEN>)
 id 1kBX3U-0003Jh-AH; Fri, 28 Aug 2020 01:36:06 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1kBX3G-0005oN-C3; Fri, 28 Aug 2020 01:35:50 -0400
Date: Fri, 28 Aug 2020 01:35:50 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Morgan Smith <Morgan.J.Smith@HIDDEN>
Subject: Re: [bug#42738] [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
Message-ID: <alpine.DEB.2.21.2008280133420.4809@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
Received-SPF: pass client-ip=104.248.1.95; envelope-from=jackhill@HIDDEN;
 helo=minsky.hcoop.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/28 01:36:03
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic]
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: levenson@HIDDEN, dnbarbato@HIDDEN, cjpeople2013@HIDDEN,
 guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org, mike@HIDDEN,
 guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi Morgan,

On Thu, 27 Aug 2020, Morgan.J.Smith@HIDDEN wrote:

> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>
> * gnu/packages/emacs.scm (emacs): Update to 27.1.
> [arguments]: Add --with-cairo and --with-modules to #:configure-flags. Add
> restore-emacs-pdump phase.
> [inputs]: Add cairo, libxaw, jansson, gmp, and harfbuzz. Remove imagemagick
> and libxft.
> [native-inputs]: Add texlive.
> (emacs-wide-int): Mark as deprecated package.
> (emacs-no-x):
> [arguments]: Add --with-jpeg=no --with-gif=no --with-tiff=no
> to #:configure-flags.
> ---
>
> Hello!
>
> Your patch didn't build for me so I made some slight changes.  I added
> libxaw as an input, and added some configure flags to emacs-no-x.
>
> I'm now using this patch to run Emacs 27.1 on my main machine
> (inadvisable I know), and my personal config is running flawlessy with
> the exception of emacs-clojure-mode, emacs-elisp-regs, and
> emacs-helpful.
>
> Hopefully this helps!

Indeed it is, thank you!

Best,
Jack




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 28 Aug 2020 05:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 01:36:00 2020
Received: from localhost ([127.0.0.1]:44856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBX3Q-0008OC-2Y
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 01:36:00 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:36950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1kBX3N-0008Nw-V1
 for 42738 <at> debbugs.gnu.org; Fri, 28 Aug 2020 01:35:58 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1kBX3G-0005oN-C3; Fri, 28 Aug 2020 01:35:50 -0400
Date: Fri, 28 Aug 2020 01:35:50 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Morgan Smith <Morgan.J.Smith@HIDDEN>
Subject: Re: [bug#42738] [PATCH v4] gnu: emacs: Update to 27.1.
In-Reply-To: <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
Message-ID: <alpine.DEB.2.21.2008280133420.4809@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
 <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: levenson@HIDDEN, dnbarbato@HIDDEN, cjpeople2013@HIDDEN,
 guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org, mike@HIDDEN,
 guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Morgan,

On Thu, 27 Aug 2020, Morgan.J.Smith@HIDDEN wrote:

> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>
> * gnu/packages/emacs.scm (emacs): Update to 27.1.
> [arguments]: Add --with-cairo and --with-modules to #:configure-flags. Add
> restore-emacs-pdump phase.
> [inputs]: Add cairo, libxaw, jansson, gmp, and harfbuzz. Remove imagemagick
> and libxft.
> [native-inputs]: Add texlive.
> (emacs-wide-int): Mark as deprecated package.
> (emacs-no-x):
> [arguments]: Add --with-jpeg=no --with-gif=no --with-tiff=no
> to #:configure-flags.
> ---
>
> Hello!
>
> Your patch didn't build for me so I made some slight changes.  I added
> libxaw as an input, and added some configure flags to emacs-no-x.
>
> I'm now using this patch to run Emacs 27.1 on my main machine
> (inadvisable I know), and my personal config is running flawlessy with
> the exception of emacs-clojure-mode, emacs-elisp-regs, and
> emacs-helpful.
>
> Hopefully this helps!

Indeed it is, thank you!

Best,
Jack




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 27 Aug 2020 22:02:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 27 18:02:50 2020
Received: from localhost ([127.0.0.1]:44369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBPyr-0003ZN-KT
	for submit <at> debbugs.gnu.org; Thu, 27 Aug 2020 18:02:50 -0400
Received: from mail-dm6nam08olkn2096.outbound.protection.outlook.com
 ([40.92.45.96]:1600 helo=NAM04-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1kBPyp-0003Z8-FH
 for 42738 <at> debbugs.gnu.org; Thu, 27 Aug 2020 18:02:48 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KUL6rhdY48Olqa/H62SDrmz8JEmscutKBgxLQRxpadRwukUEAjOoe+wbOjkU6YIaWFUyEzihFKPSLZgWsGbd9d76EpjjcEpVQaRSJdPRyNT2Ppxnq3MJCfiZdeuG2lznB2mc3Q0P4N3q5m2V6OHgWJyYJs0fy0mtenqAsRKTfzit8BqM0oeJ1K133yn3STI/cE3dJDR91BN00YaokcHITdp3/z1HQPaya7+O8733dTqwUakqv+zYD2rSJOqVu6I7gCBo4DV39My8Q4lv6CPxCvaLOIav4/cZ3gnTdrM+BjsGNbbEfSQYggC9KemgGXa5G+p9Bz/OAC8B93qqHDGogA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=0neZ+YVY41jC7SpOnnXZecW/Ad1MQXPSkFtM8wDr8ho=;
 b=SJLyso9LEg5Sfb3YaKCsfAUQGhUJavkicN7Gt3u8aAJRarRQbClGODeBU8tUAQZuMCW/UOTogEyMg1JHEKhngtpoFjcGQZXTP/EpElP7n0INZ2CV+aUSIfT6C4oz4iOH9Poj5qTili1DZuOpCYcp9naNnHeiiaxHPk2WRGkFBYjiVtATmxsWVr29xPD2rmGyGdB20EiK0OsidIxar8t21ri+I24dAfkzhPbuPutfmnOv6wKuLYGTQUKE8CM2ukeC6fs/HjSRt3HMdOeV8lIpCF3cHuzUu4RwMxrqF7nF5DDQmmqyz4KruKQmf5oCNzWGBYMMNingwHv2giWjmOtKFg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=0neZ+YVY41jC7SpOnnXZecW/Ad1MQXPSkFtM8wDr8ho=;
 b=mBUVX+fdw4SSjhze+qcHpmKoADvSwjStU2Y4/alsrJb5ADll6P+yHrZwItimTJd98Km8kmkJKS7iy7yC9uosq94QcIbwQ3ps69v6piCpjBXtsoXhU105IgCPtobL4io4mR2W3q+Or0yUmhX7dHsMytyJVAEMLsCB9BPHju8heJtM1rEnoX+y24UelJouoA9Y9SCXdjsUjDUcYtq3sNpNtv8G/BCc/VjHHaMmt1CHbQmiKPwr0WwZ+LsBBl39kY9ezeSAnRMfJRy5lMo4AdhvswXBTXj0m5usfPzDGrxc561H8BmI9VospgS+3fXu90W0q8JGx/u7vBw4dYCYIPzfxw==
Received: from BN8NAM04FT017.eop-NAM04.prod.protection.outlook.com
 (2a01:111:e400:7e85::52) by
 BN8NAM04HT213.eop-NAM04.prod.protection.outlook.com (2a01:111:e400:7e85::245)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3326.21; Thu, 27 Aug
 2020 22:02:40 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:7e85::4f) by BN8NAM04FT017.mail.protection.outlook.com
 (2a01:111:e400:7e85::392) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3326.19 via Frontend
 Transport; Thu, 27 Aug 2020 22:02:40 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:BF092E3B0751BABFC8AB06A57469C30DD42EE17AF56EC25C74F9C7C5FE139853;
 UpperCasedChecksum:54FB257B3D15F7740D497562ABC8D6680AC268E0AA5328B2BF11DED1CAB92312;
 SizeAsReceived:7649; Count:49
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::cc1a:65a6:d74d:52f4%6]) with mapi id 15.20.3326.019; Thu, 27 Aug 2020
 22:02:40 +0000
From: Morgan.J.Smith@HIDDEN
To: 42738 <at> debbugs.gnu.org
Subject: [PATCH v4] gnu: emacs: Update to 27.1.
Date: Thu, 27 Aug 2020 17:59:36 -0400
Message-ID: <DM5PR1001MB210589E35972B5314D4D8381C5550@HIDDEN>
X-Mailer: git-send-email 2.28.0
In-Reply-To: <20200819040941.32696-1-jackhill@HIDDEN>
References: <20200819040941.32696-1-jackhill@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-ClientProxiedBy: YTXPR0101CA0042.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b00:1::19) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20200827215934.23925-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from 255.255.255.255 (255.255.255.255) by
 YTXPR0101CA0042.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b00:1::19) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3326.19 via Frontend
 Transport; Thu, 27 Aug 2020 22:02:39 +0000
X-Mailer: git-send-email 2.28.0
X-Microsoft-Original-Message-ID: <20200827215934.23925-1-Morgan.J.Smith@HIDDEN>
X-TMN: [vzodF8eqdb2D9CyMSVQSUWzQmetebwHr]
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 49
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: f524517e-b85f-468d-b75b-08d84ad4ea71
X-MS-Exchange-SLBlob-MailProps: 7MJMDUNTCtxCBbA+2h8gbWQlKV9cILMkh6nR7C1NLvvCRn+KB7Wd9JvY9f71yPi9RBHlpX/eQ1Mv8ZTM03w1A9mmN3VEn9vS6AQwJ+C2vmjky+Acb6DAilfsYp4Ak/qwHCCqqJ4PtZS1YcM8Y30Xeq4L2IgWrcYLV65C12DAbZ6ZZjl3wAJsmGLShN1DUOCg8wK9HSCfwD5bNMDUyKSpt/v3iM3AKwfRSEetg1IM8Bpza0W/r/8Qg/KQXL8DxEAFr31WtDx/RnRIZN/nOyBZK4tDqdJQ8ilSf5m+b0j3LGbZn/JXzWnpP0kIg7T5CQQPGU9CAq0kR+XhKQonqU7wjCaQ0kC+7eYbhpO8XuwEryMoFJsEZrTR1AVUzdGrcQTY+8uF3NgmLPA3WDBpEYLj4Uk/AezDFY6rxVOLttwsSpQIBW3XwKHjH+nfn4Go/8hOQeFohwCxQel8NoF0xesb96uQGZh2hZ2hAf3JDWuWUe8IEmqfLfdguH+8Pv7tY2Vod47PKa01AbgNn1hPL6GJrXCw2BsxuwYO+hIBRLBiMy0RDtUGXcnlRu2r0HGwzgFLMGT4rWlPYqa/zk+klM6207++/cAsuuihuXb1iT7Hynd/v5dXXL7iPqEHCZ+ChT9v5uv+Og6wc/SioqoBQWyEv0oWyJjvIhiHwTx510/zCR4OzDuFlCnYC/RR5P3SRngZPW4DeRNMnynTaAddvOjFj0lumuoFDo0bcEJo3Tf1Zv7kAvSTDE0saQ==
X-MS-TrafficTypeDiagnostic: BN8NAM04HT213:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: uJDrQSGadaX7lWRUeWmu5W9XD/jgwb1344BY4CBfRFgO6MXV299oaioouJngauEaLguRxMQ8qURHvOidmb2ySxtd8Hf0/Po84Hba8tBR0BKHNSkmk5rPAGr1k+SKNnPKQsVaI6grdMkrFLfCAsSqrVxaPTIEHDX5JibfF3rMzuLB7PoAk3KRZZN5nK1j9Y5zp7bkHaNCgYGWip8Mb5SZqQ==
X-MS-Exchange-AntiSpam-MessageData: Or9blz+8vNJTEvdJOg6nQ5KuijdKYQzwCaQHSIiwD69b4KJQ79/nISbJNA9Jjl2MeRa8SjiY84PLpMv+FvO2HuBbZparQSf8LL9Xef9F8XxdWMv38YGLQOLzcHNVFn0uWIOVFsvd4F3HUkfE5nV7Pw==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: f524517e-b85f-468d-b75b-08d84ad4ea71
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 27 Aug 2020 22:02:40.8513 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: BN8NAM04FT017.eop-NAM04.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8NAM04HT213
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: From: Morgan Smith * gnu/packages/emacs.scm (emacs): Update
 to 27.1. [arguments]: Add --with-cairo and --with-modules to
 #:configure-flags.
 Add restore-emacs-pdump phase. [inputs]: Add cairo, libxaw, jansson, gmp,
 and h [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RCVD_ILLEGAL_IP        Received: contains illegal IP address
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.45.96 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (morgan.j.smith[at]outlook.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
X-Debbugs-Envelope-To: 42738
Cc: levenson@HIDDEN, dnbarbato@HIDDEN, cjpeople2013@HIDDEN,
 Morgan Smith <Morgan.J.Smith@HIDDEN>, guix-devel@HIDDEN,
 jackhill@HIDDEN, mike@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/emacs.scm (emacs): Update to 27.1.
[arguments]: Add --with-cairo and --with-modules to #:configure-flags. Add
restore-emacs-pdump phase.
[inputs]: Add cairo, libxaw, jansson, gmp, and harfbuzz. Remove imagemagick
and libxft.
[native-inputs]: Add texlive.
(emacs-wide-int): Mark as deprecated package.
(emacs-no-x):
[arguments]: Add --with-jpeg=no --with-gif=no --with-tiff=no
to #:configure-flags.
---

Hello!

Your patch didn't build for me so I made some slight changes.  I added
libxaw as an input, and added some configure flags to emacs-no-x.

I'm now using this patch to run Emacs 27.1 on my main machine
(inadvisable I know), and my personal config is running flawlessy with
the exception of emacs-clojure-mode, emacs-elisp-regs, and
emacs-helpful.

Hopefully this helps!

Morgan


 gnu/packages/emacs.scm | 76 +++++++++++++++++++++++++-----------------
 1 file changed, 46 insertions(+), 30 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index ad8d4b0606..48ae899dcf 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -58,9 +58,9 @@
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages image)
-  #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages linux)     ; alsa-lib
   #:use-module (gnu packages mail)      ; for mailutils
+  #:use-module (gnu packages multiprecision)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages texinfo)
@@ -75,15 +75,14 @@
 (define-public emacs
   (package
     (name "emacs")
-    (version "26.3")
+    (version "27.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/emacs/emacs-"
                                   version ".tar.xz"))
               (sha256
-               (base32
-                "119ldpk7sgn9jlpyngv5y4z3i7bb8q3xp4p0qqi7i5nq39syd42d"))
-              (patches (search-patches "emacs-exec-path.patch"
+               (base32 "0h9f2wpmp6rb5rfwvqwv1ia1nw86h74p7hnz3vb3gjazj67i4k2a"))
+              (patches (search-patches "emacs27-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
                                        "emacs-ignore-empty-xim-styles.patch"
                                        "emacs-source-date-epoch.patch"))
@@ -94,16 +93,7 @@
                   ;; autoloads.
                   (for-each delete-file
                             (append (find-files "." "\\.elc$")
-                                    (find-files "." "loaddefs\\.el$")
-                                    ;; This is the only "autoloads" file that
-                                    ;; does not have "*loaddefs.el" name.
-                                    ;; TODO: Next time changing this package,
-                                    ;; replace the following with a call to
-                                    ;; `find-files', so that `delete-file'
-                                    ;; wouldn't error out when the file is
-                                    ;; missing, making the entire snippet field
-                                    ;; reusable as-is for `emacs-next' below.
-                                    '("eshell/esh-groups.el")))
+                                    (find-files "." "loaddefs\\.el$")))
 
                   ;; Make sure Tramp looks for binaries in the right places on
                   ;; remote Guix System machines, where 'getconf PATH' returns
@@ -130,6 +120,9 @@
     (arguments
      `(#:tests? #f                      ; no check target
        #:configure-flags (list "--with-modules"
+                               ;; --with-cairo will become the default in
+                               ;; Emacs 28
+                               "--with-cairo"
                                "--disable-build-details")
        #:phases
        (modify-phases %standard-phases
@@ -180,9 +173,35 @@
                ;; which leads to conflicts.
                (delete-file (string-append lisp-dir "/subdirs.el"))
                ;; Byte compile the site-start files.
-               (emacs-byte-compile-directory lisp-dir)))))))
+               (emacs-byte-compile-directory lisp-dir))))
+         ;; Needed when building from git
+         (add-before
+             'reset-gzip-timestamps
+             'make-compressed-files-writable
+           (lambda _
+             (for-each make-file-writable
+                       (find-files %output ".*\\.t?gz$"))
+             #t))
+         ;; restore the dump file that Emacs installs somewhere in
+         ;; libexec/ to its original state
+         (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
+           (lambda* (#:key outputs target #:allow-other-keys)
+             (let* ((libexec (string-append (assoc-ref outputs "out")
+                                            "/libexec"))
+                    ;; each of these find-files should return one file
+                    (pdmp (find-files libexec "^emacs\\.pdmp$"))
+                    (pdmp-real (find-files libexec
+                                           "^\\.emacs\\.pdmp-real$")))
+               (when (not (null? pdmp-real))
+                 (for-each (lambda (wrapper real)
+                             (delete-file wrapper)
+                             (rename-file real wrapper))
+                           pdmp pdmp-real))
+               #t))))))
     (inputs
      `(("gnutls" ,gnutls)
+       ("jansson" ,jansson)
+       ("harfbuzz" ,harfbuzz)
        ("ncurses" ,ncurses)
 
        ;; Avoid Emacs's limited movemail substitute that retrieves POP3 email
@@ -190,13 +209,14 @@
        ("mailutils" ,mailutils)
 
        ;; TODO: Add the optional dependencies.
+       ("cairo" ,cairo)
        ("libx11" ,libx11)
+       ("libxaw" ,libxaw)
        ("gtk+" ,gtk+)
-       ("libxft" ,libxft)
        ("libtiff" ,libtiff)
        ("giflib" ,giflib)
+       ("gmp" ,gmp)
        ("libjpeg" ,libjpeg-turbo)
-       ("imagemagick" ,imagemagick)
        ("acl" ,acl)
 
        ;; When looking for libpng `configure' links with `-lpng -lz', so we
@@ -360,7 +380,8 @@ languages.")
      `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
        ("ncurses" ,ncurses)))
     (native-inputs
-     `(("pkg-config" ,pkg-config)))))
+     `(("pkg-config" ,pkg-config)
+       ("texinfo" ,texinfo)))))
 
 (define-public emacs-xwidgets
   (package
@@ -384,11 +405,14 @@ editor (with xwidgets support)")
     (synopsis "The extensible, customizable, self-documenting text
 editor (console only)")
     (build-system gnu-build-system)
+    (arguments
+     (substitute-keyword-arguments (package-arguments emacs)
+       ((#:configure-flags flags ''())
+        `(list "--with-jpeg=no" "--with-gif=no" "--with-tiff=no"))))
     (inputs (fold alist-delete
                   (package-inputs emacs)
                   '("libx11" "gtk+" "libxft" "libtiff" "giflib" "libjpeg"
-                    "imagemagick" "libpng" "librsvg" "libxpm" "libice"
-                    "libsm"
+                    "libpng" "librsvg" "libxpm" "libice" "libsm"
 
                     ;; These depend on libx11, so remove them as well.
                     "libotf" "m17n-lib" "dbus")))))
@@ -407,15 +431,7 @@ editor (without an X toolkit)" )
             `(cons "--with-x-toolkit=no" ,cf)))))))
 
 (define-public emacs-wide-int
-  (package
-    (inherit emacs)
-    (name "emacs-wide-int")
-    (synopsis "The extensible, customizable, self-documenting text
-editor (with wide ints)" )
-    (arguments
-     (substitute-keyword-arguments (package-arguments emacs)
-       ((#:configure-flags flags)
-        `(cons "--with-wide-int" ,flags))))))
+  (deprecated-package "emacs-wide-int" emacs))
 
 (define-public guile-emacs
   (let ((commit "41120e0f595b16387eebfbf731fff70481de1b4b")
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 19 Aug 2020 13:54:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 09:54:07 2020
Received: from localhost ([127.0.0.1]:38668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8OXX-0006LF-AP
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 09:54:07 -0400
Received: from wp224.webpack.hosteurope.de ([80.237.132.231]:53632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1k8OXV-0006L6-Uk
 for 42738 <at> debbugs.gnu.org; Wed, 19 Aug 2020 09:54:06 -0400
Received: from www.rohleder.de ([37.61.204.227]); authenticated
 by wp224.webpack.hosteurope.de running ExIM with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 id 1k8OXT-0001Jd-Kl; Wed, 19 Aug 2020 15:54:03 +0200
Received: from [192.168.1.4] (helo=xbmc)
 by www.rohleder.de with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94)
 (envelope-from <mike@HIDDEN>)
 id 1k8OXT-0002w8-39; Wed, 19 Aug 2020 15:54:03 +0200
From: Michael Rohleder <mike@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: [bug#42738] [Work in progress] gnu: emacs: update to 27.1
References: <alpine.DEB.2.21.2008062225250.4809@HIDDEN>
 <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
 <87tux0rtoo.fsf@HIDDEN>
 <alpine.DEB.2.21.2008182335550.4809@HIDDEN>
X-PGP-Fingerprint: 755E 2DE5 D0D5 85C5 2E78  2830 7C7A FFBE FEF2 CB25
X-PGP-Key: https://www.rohleder.de/~mike/pgpkey.asc
Date: Wed, 19 Aug 2020 15:53:38 +0200
In-Reply-To: <alpine.DEB.2.21.2008182335550.4809@HIDDEN> (Jack Hill's
 message of "Wed, 19 Aug 2020 00:08:56 -0400 (EDT)")
Message-ID: <87pn7md9nh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-bounce-key: webpack.hosteurope.de;mike@HIDDEN;1597845245;90c2879b;
X-HE-SMSGID: 1k8OXT-0001Jd-Kl
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42738
Cc: 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Jack Hill <jackhill@HIDDEN> writes:
>>> Is the emacs-wide-int variant needed with the new multiprecision
>>> functionality?
>>
>> I don't think so.
>
> Ok, I've deprecated that package.

I think emacs-wide-int could still be useful on 32bit systems.

=2D-=20
"One basic notion underlying Usenet is that it is a cooperative."

Having been on USENET for going on ten years, I disagree with this.
The basic notion underlying USENET is the flame.
		-- Chuq Von Rospach

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAl89LuIACgkQfHr/vv7y
yyVhfAf/djCq6sTOtHgT8NNQQf41n1EyBAHDcYvLpxBOLsYt4PVjiwEFw6+8I7a3
eomNDwLQOKYpDiNQKIZEUP/appJLO6JE+eP+q3T6JvvpzBxi6tXxdKclnbp0GIQB
NeWLaU+QACEaQYwmSv8GFNCRdRfDQ9EUYFB5nDR3OI/d+8T1XENnDXPFA0SoXHzH
flWHHl3Eyg8Z52k00zBaOOmXYIYimPk25l/1zcBxy3rU9q7WDXx9ygR7qQOtIgnw
+Xcav5CWwZxThBwau9RbpWsAPTjq1ko/5qBUpaCgrm1aAeo69ZaV1/STtCHaePBD
zocxRX7YKRnPBGOe9ko/rAFyYJjFMg==
=kNkU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 19 Aug 2020 08:22:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 04:22:36 2020
Received: from localhost ([127.0.0.1]:37806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8JMi-00030i-MS
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 04:22:36 -0400
Received: from mout02.posteo.de ([185.67.36.66]:47825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dnbarbato@HIDDEN>) id 1k8JMg-00030T-Ub
 for 42738 <at> debbugs.gnu.org; Wed, 19 Aug 2020 04:22:35 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id AAA082400FF
 for <42738 <at> debbugs.gnu.org>; Wed, 19 Aug 2020 10:22:28 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1597825348; bh=V56Fvlj9XIWo4/DLmC/woN+jYwRRpZApwd8jFNH151w=;
 h=From:To:Cc:Subject:Date:From;
 b=qvbXEgiHXKfZsdfDbkLkDa0zpAT+iN4idWCAwwapQ1prw3WyHjcpNp3NRyBV2Ny+U
 h/63wzVmiQVeaNtKIpol9m7KFqPurvaP4ENMw1IoSi3YhAfga053/RIUtprjir66TG
 073gHoOgPvRiMyU4yi8F7PaoV3YOo2d10HGl7TdgHPuKJt8TipORcFVoNQlRf0o59A
 Lh7LY+m2HpEH5vx1zkFVSPsS7BUkBeucmWtkGKR6oUJTEeBl9pzIM3mEjYQLRoZSLA
 vLq+SUkJ1+5q/aibIL9JwabtXPWBR0tYF9//INL6GRfRElbovG/c5OmLRD9dAybIeC
 c1Z4cmql3thPA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4BWgkW3vyVz9rxP;
 Wed, 19 Aug 2020 10:22:27 +0200 (CEST)
From: Diego Nicola Barbato <dnbarbato@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: [bug#42738] [Work in progress] gnu: emacs: update to 27.1
References: <alpine.DEB.2.21.2008062225250.4809@HIDDEN>
 <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
 <87tux0rtoo.fsf@HIDDEN>
 <alpine.DEB.2.21.2008182335550.4809@HIDDEN>
Date: Wed, 19 Aug 2020 10:22:27 +0200
In-Reply-To: <alpine.DEB.2.21.2008182335550.4809@HIDDEN> (Jack Hill's
 message of "Wed, 19 Aug 2020 00:08:56 -0400 (EDT)")
Message-ID: <87pn7nujss.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, Zhu Zihao <cjpeople2013@HIDDEN>,
 42738 <at> debbugs.gnu.org, Michael Rohleder <mike@HIDDEN>,
 Alexey Abramov <levenson@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hey Guix,

Jack Hill <jackhill@HIDDEN> writes:

[...]

> On Tue, 18 Aug 2020, Michael Rohleder wrote:
>>Jack Hill <jackhill@HIDDEN> writes:

[...]

>>> Is the emacs-wide-int variant needed with the new multiprecision
>>> functionality?
>>
>> I don't think so.
>
> Ok, I've deprecated that package.

I added the emacs-wide-int variant because emacs-telega requires 62-bit
[sic] integers (https://debbugs.gnu.org/39412).  While Telega should
work with regular (non-wide-int) Emacs 27.1 (thanks to the new
multiprecision functionality), the test which checks if Emacs is suitable
for running Telega will fail, because it does not know about "bignums"
and looks at the value of most-positive-fixnum instead:

--8<---------------cut here---------------start------------->8---
  ;; 62bits for numbers is required
  ;; i.e. ./configure --with-wide-int
  (cl-assert (= most-positive-fixnum 2305843009213693951) nil
             "Emacs with wide ints (--with-wide-int) is required")
--8<---------------cut here---------------end--------------->8---

I suggest we keep the emacs-wide-int variant until this issue has been
resolved, so that the Emacs update does not break emacs-telega on 32-bit
systems.

[...]

Greetings,

Diego




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 19 Aug 2020 04:09:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 00:09:57 2020
Received: from localhost ([127.0.0.1]:37510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8FQD-0002w0-Di
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 00:09:57 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:34892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1k8FQC-0002vo-Mo
 for 42738 <at> debbugs.gnu.org; Wed, 19 Aug 2020 00:09:57 -0400
Received: from cpe-107-15-18-231.nc.res.rr.com ([107.15.18.231]
 helo=alperton.home.eronel.org)
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1k8FQ7-0006Hl-Gh
 for 42738 <at> debbugs.gnu.org; Wed, 19 Aug 2020 00:09:51 -0400
From: Jack Hill <jackhill@HIDDEN>
To: 42738 <at> debbugs.gnu.org
Subject: [PATCH v3] gnu: emacs: Update to 27.1.
Date: Wed, 19 Aug 2020 00:09:41 -0400
Message-Id: <20200819040941.32696-1-jackhill@HIDDEN>
X-Mailer: git-send-email 2.28.0
In-Reply-To: <alpine.DEB.2.21.2008182335550.4809@HIDDEN>
References: <alpine.DEB.2.21.2008182335550.4809@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs): Update to 27.1.
[arguments]: Add --with-cairo and --with-modules to #configure-flags. Add
restore-emacs-pdump phase.
[inputs]: Add cairo, jansson, gmp, and harfbuzz. Remove imagemagick and libxft.
[native-inputs]: Add texlive.
(emacs-wide-int): Mark as deprecated package.
---
 gnu/packages/emacs.scm | 71 ++++++++++++++++++++++++------------------
 1 file changed, 41 insertions(+), 30 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index ad8d4b0606..98d60dfd24 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -58,9 +58,9 @@
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages image)
-  #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages linux)     ; alsa-lib
   #:use-module (gnu packages mail)      ; for mailutils
+  #:use-module (gnu packages multiprecision)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages texinfo)
@@ -75,15 +75,14 @@
 (define-public emacs
   (package
     (name "emacs")
-    (version "26.3")
+    (version "27.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/emacs/emacs-"
                                   version ".tar.xz"))
               (sha256
-               (base32
-                "119ldpk7sgn9jlpyngv5y4z3i7bb8q3xp4p0qqi7i5nq39syd42d"))
-              (patches (search-patches "emacs-exec-path.patch"
+               (base32 "0h9f2wpmp6rb5rfwvqwv1ia1nw86h74p7hnz3vb3gjazj67i4k2a"))
+              (patches (search-patches "emacs27-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
                                        "emacs-ignore-empty-xim-styles.patch"
                                        "emacs-source-date-epoch.patch"))
@@ -94,16 +93,7 @@
                   ;; autoloads.
                   (for-each delete-file
                             (append (find-files "." "\\.elc$")
-                                    (find-files "." "loaddefs\\.el$")
-                                    ;; This is the only "autoloads" file that
-                                    ;; does not have "*loaddefs.el" name.
-                                    ;; TODO: Next time changing this package,
-                                    ;; replace the following with a call to
-                                    ;; `find-files', so that `delete-file'
-                                    ;; wouldn't error out when the file is
-                                    ;; missing, making the entire snippet field
-                                    ;; reusable as-is for `emacs-next' below.
-                                    '("eshell/esh-groups.el")))
+                                    (find-files "." "loaddefs\\.el$")))
 
                   ;; Make sure Tramp looks for binaries in the right places on
                   ;; remote Guix System machines, where 'getconf PATH' returns
@@ -130,6 +120,9 @@
     (arguments
      `(#:tests? #f                      ; no check target
        #:configure-flags (list "--with-modules"
+                               ;; --with-cairo will become the default in
+                               ;; Emacs 28
+                               "--with-cairo"
                                "--disable-build-details")
        #:phases
        (modify-phases %standard-phases
@@ -180,9 +173,35 @@
                ;; which leads to conflicts.
                (delete-file (string-append lisp-dir "/subdirs.el"))
                ;; Byte compile the site-start files.
-               (emacs-byte-compile-directory lisp-dir)))))))
+               (emacs-byte-compile-directory lisp-dir))))
+         ;; Needed when building from git
+         (add-before
+             'reset-gzip-timestamps
+             'make-compressed-files-writable
+           (lambda _
+             (for-each make-file-writable
+                       (find-files %output ".*\\.t?gz$"))
+             #t))
+         ;; restore the dump file that Emacs installs somewhere in
+         ;; libexec/ to its original state
+         (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
+           (lambda* (#:key outputs target #:allow-other-keys)
+             (let* ((libexec (string-append (assoc-ref outputs "out")
+                                            "/libexec"))
+                    ;; each of these find-files should return one file
+                    (pdmp (find-files libexec "^emacs\\.pdmp$"))
+                    (pdmp-real (find-files libexec
+                                           "^\\.emacs\\.pdmp-real$")))
+               (when (not (null? pdmp-real))
+                 (for-each (lambda (wrapper real)
+                             (delete-file wrapper)
+                             (rename-file real wrapper))
+                           pdmp pdmp-real))
+               #t))))))
     (inputs
      `(("gnutls" ,gnutls)
+       ("jansson" ,jansson)
+       ("harfbuzz" ,harfbuzz)
        ("ncurses" ,ncurses)
 
        ;; Avoid Emacs's limited movemail substitute that retrieves POP3 email
@@ -190,13 +209,13 @@
        ("mailutils" ,mailutils)
 
        ;; TODO: Add the optional dependencies.
+       ("cairo" ,cairo)
        ("libx11" ,libx11)
        ("gtk+" ,gtk+)
-       ("libxft" ,libxft)
        ("libtiff" ,libtiff)
        ("giflib" ,giflib)
+       ("gmp" ,gmp)
        ("libjpeg" ,libjpeg-turbo)
-       ("imagemagick" ,imagemagick)
        ("acl" ,acl)
 
        ;; When looking for libpng `configure' links with `-lpng -lz', so we
@@ -360,7 +379,8 @@ languages.")
      `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
        ("ncurses" ,ncurses)))
     (native-inputs
-     `(("pkg-config" ,pkg-config)))))
+     `(("pkg-config" ,pkg-config)
+       ("texinfo" ,texinfo)))))
 
 (define-public emacs-xwidgets
   (package
@@ -387,8 +407,7 @@ editor (console only)")
     (inputs (fold alist-delete
                   (package-inputs emacs)
                   '("libx11" "gtk+" "libxft" "libtiff" "giflib" "libjpeg"
-                    "imagemagick" "libpng" "librsvg" "libxpm" "libice"
-                    "libsm"
+                    "libpng" "librsvg" "libxpm" "libice" "libsm"
 
                     ;; These depend on libx11, so remove them as well.
                     "libotf" "m17n-lib" "dbus")))))
@@ -407,15 +426,7 @@ editor (without an X toolkit)" )
             `(cons "--with-x-toolkit=no" ,cf)))))))
 
 (define-public emacs-wide-int
-  (package
-    (inherit emacs)
-    (name "emacs-wide-int")
-    (synopsis "The extensible, customizable, self-documenting text
-editor (with wide ints)" )
-    (arguments
-     (substitute-keyword-arguments (package-arguments emacs)
-       ((#:configure-flags flags)
-        `(cons "--with-wide-int" ,flags))))))
+  (deprecated-package "emacs-wide-int" emacs))
 
 (define-public guile-emacs
   (let ((commit "41120e0f595b16387eebfbf731fff70481de1b4b")
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 19 Aug 2020 04:09:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 00:09:05 2020
Received: from localhost ([127.0.0.1]:37507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8FPN-0002uq-30
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 00:09:05 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:34862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1k8FPJ-0002uL-PH
 for 42738 <at> debbugs.gnu.org; Wed, 19 Aug 2020 00:09:03 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1k8FPE-0005ke-EL; Wed, 19 Aug 2020 00:08:56 -0400
Date: Wed, 19 Aug 2020 00:08:56 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Michael Rohleder <mike@HIDDEN>
Subject: Re: [bug#42738] [Work in progress] gnu: emacs: update to 27.1
In-Reply-To: <87tux0rtoo.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.21.2008182335550.4809@HIDDEN>
References: <alpine.DEB.2.21.2008062225250.4809@HIDDEN>
 <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
 <87tux0rtoo.fsf@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, Zhu Zihao <cjpeople2013@HIDDEN>,
 42738 <at> debbugs.gnu.org, Alexey Abramov <levenson@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you all for these improvements.

On Tue, 18 Aug 2020, Alexey Abramov wrote:

> I just checked, and seems like harfbuzz switch is not required. News 
> file also says that it is on by default.

Great. This was copied bliendly from the emacs-next package. I've removed 
it.

On Tue, 18 Aug 2020, Michael Rohleder wrote:
>Jack Hill <jackhill@HIDDEN> writes:
>> Now that Emacs 27.1 has been released, I've updated the patch for
>> released version. Per Michael Rohleder's (mroh) suggestion on IRC, I
>> have added gmp as an input.
>
> emacs (26 and 27) configure and compiles with gmp anyway. I couldn't 
> find out where it's (implicit) coming from. I still like the input to 
> make it explicit, though.

Interesting, I didn't catch this. I like explicit better as well.

>> Is the emacs-wide-int variant needed with the new multiprecision
>> functionality?
>
> I don't think so.

Ok, I've deprecated that package.

On Tue, 18 Aug 2020, Zhu Zihao wrote:

> Can you add configuration options "--with-cairo"(Also add cairo as 
> input) the main advantage of cairo build is the power to display color 
> emoji in Emacs.

Sounds good to me. I've enabled cairo, and per [1] removed libxft from the 
inputs.

[1] https://git.savannah.gnu.org/cgit/emacs.git/tree/etc/NEWS?h=emacs-27.1#n53

Best,
Jack




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 19 Aug 2020 02:54:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 22:54:01 2020
Received: from localhost ([127.0.0.1]:37474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8EEj-00016r-38
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 22:54:01 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:34490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1k8EEg-00016d-Ci
 for 42738 <at> debbugs.gnu.org; Tue, 18 Aug 2020 22:53:59 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1k8EEa-00044w-S0
 for 42738 <at> debbugs.gnu.org; Tue, 18 Aug 2020 22:53:52 -0400
Date: Tue, 18 Aug 2020 22:53:52 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: 42738 <at> debbugs.gnu.org
Subject: [bug#42738] [PATCH v2] gnu: emacs: Update to 27.1. (fwd)
Message-ID: <alpine.DEB.2.21.2008182253370.4809@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---------- Forwarded message ----------
Date: Tue, 18 Aug 2020 12:21:46
From: Zhu Zihao <cjpeople2013@HIDDEN>
To: jackhill@HIDDEN
Subject: [bug#42738] [PATCH v2] gnu: emacs: Update to 27.1.

Can you add configuration options "--with-cairo"(Also add cairo as input)

the main advantage of cairo build is the power to display color emoji in Emacs.

Check https://github.com/emacs-mirror/emacs/blob/master/etc/NEWS.27#L53

In upcoming Emacs 28, --with-cairo will be the default choice for Emacs. See https://github.com/emacs-mirror/emacs/blob/master/etc/NEWS#L27





Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 18 Aug 2020 13:05:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 09:05:15 2020
Received: from localhost ([127.0.0.1]:34484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k81Ib-0001cJ-O3
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 09:05:15 -0400
Received: from wp224.webpack.hosteurope.de ([80.237.132.231]:56174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1k81IY-0001c7-1a
 for 42738 <at> debbugs.gnu.org; Tue, 18 Aug 2020 09:05:08 -0400
Received: from www.rohleder.de ([37.61.204.227]); authenticated
 by wp224.webpack.hosteurope.de running ExIM with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 id 1k81IV-0001Ek-Ow; Tue, 18 Aug 2020 15:05:03 +0200
Received: from [192.168.1.3] (helo=micha)
 by www.rohleder.de with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94)
 (envelope-from <mike@HIDDEN>)
 id 1k81IV-0000KG-90; Tue, 18 Aug 2020 15:05:03 +0200
From: Michael Rohleder <mike@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: [bug#42738] [Work in progress] gnu: emacs: update to 27.1
References: <alpine.DEB.2.21.2008062225250.4809@HIDDEN>
 <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
X-PGP-Fingerprint: 755E 2DE5 D0D5 85C5 2E78  2830 7C7A FFBE FEF2 CB25
X-PGP-Key: https://www.rohleder.de/~mike/pgpkey.asc
Date: Tue, 18 Aug 2020 15:04:55 +0200
In-Reply-To: <alpine.DEB.2.21.2008180137010.4809@HIDDEN> (Jack Hill's
 message of "Tue, 18 Aug 2020 02:23:42 -0400 (EDT)")
Message-ID: <87tux0rtoo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-bounce-key: webpack.hosteurope.de;mike@HIDDEN;1597755906;e455376e;
X-HE-SMSGID: 1k81IV-0001Ek-Ow
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN, 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Jack Hill <jackhill@HIDDEN> writes:
> Now that Emacs 27.1 has been released, I've updated the patch for
> released version. Per Michael Rohleder's (mroh) suggestion on IRC, I
> have added gmp as an input.

emacs (26 and 27) configure and compiles with gmp anyway. I couldn't
find out where it's (implicit) coming from.
I still like the input to make it explicit, though.

> Is the emacs-wide-int variant needed with the new multiprecision
> functionality?

I don't think so.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAl870fcACgkQfHr/vv7y
yyW0bwf/ctJ1Vx0eCtklOmz/+KJFCtWwOpLPpZqJHGPlV09fpD8SEMt8RS8VqO7k
9Z8WfZxEQ84YqvEGOwPWrsf6UGLC4YtuMs/7m95lxJnT6iSqLi+gxt4LoKN/UaX3
UxpD2NZmt76KegUNyGNZXCfG8aGFPHuaUahxvKMUf4Ne1CjgRDVT3Qy1235kfwjk
0MXssaw7D80tm0pMGfo+M36SULEe2nofPORgtmSstA8pUsJOJ6iE/KAc7AB84JTm
Xwqm24qe4mMjSNjdhP68wg/3kmmcIKDbEvk9v83fYHRT12oyuZAwVmjRkI0Kvjdv
RZmMyp1mwzYDKf4MZWrLz8pXJMoIlQ==
=gW5N
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 18 Aug 2020 08:57:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 04:57:26 2020
Received: from localhost ([127.0.0.1]:33979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7xQr-000186-TP
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 04:57:26 -0400
Received: from mx4.mail.mmer.org ([178.22.66.29]:18477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <levenson@HIDDEN>) id 1k7xQp-00017x-Eg
 for 42738 <at> debbugs.gnu.org; Tue, 18 Aug 2020 04:57:24 -0400
Received: from delta (92-109-1-225.cable.dynamic.v4.ziggo.nl [92.109.1.225])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx4.mail.mmer.org (Postfix) with ESMTPSA id D96199CC5D;
 Tue, 18 Aug 2020 08:26:35 +0000 (UTC)
From: Alexey Abramov <levenson@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>
Subject: Re: [bug#42738] [PATCH v2] gnu: emacs: Update to 27.1.
References: <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
 <20200818062632.28344-1-jackhill@HIDDEN>
Date: Tue, 18 Aug 2020 10:57:16 +0200
In-Reply-To: <20200818062632.28344-1-jackhill@HIDDEN> (Jack Hill's
 message of "Tue, 18 Aug 2020 02:26:32 -0400")
Message-ID: <87o8n8gwlv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: 42738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Jack,

Thanks.

I just checked, and seems like harfbuzz switch is not required. News
file also says that it is on by default.

--
Alexey




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 18 Aug 2020 06:26:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 02:26:52 2020
Received: from localhost ([127.0.0.1]:33787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7v5A-0005pO-Fp
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 02:26:52 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:52324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1k7v58-0005pB-Oo
 for 42738 <at> debbugs.gnu.org; Tue, 18 Aug 2020 02:26:51 -0400
Received: from cpe-107-15-18-231.nc.res.rr.com ([107.15.18.231]
 helo=alperton.home.eronel.org)
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1k7v53-0007jQ-M2
 for 42738 <at> debbugs.gnu.org; Tue, 18 Aug 2020 02:26:45 -0400
From: Jack Hill <jackhill@HIDDEN>
To: 42738 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: emacs: Update to 27.1.
Date: Tue, 18 Aug 2020 02:26:32 -0400
Message-Id: <20200818062632.28344-1-jackhill@HIDDEN>
X-Mailer: git-send-email 2.28.0
In-Reply-To: <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
References: <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs): Update to 27.1.
[arguments]: Add --with-harfbuzz and --with-modules to #configure-flags. Add
restore-emacs-pdump phase.
[inputs]: Add jansson, gmp, and harfbuzz. Remove imagemagick.
---
 gnu/packages/emacs.scm | 61 +++++++++++++++++++++++++++---------------
 1 file changed, 39 insertions(+), 22 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index ad8d4b0606..3f1bff6c15 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -58,9 +58,9 @@
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages image)
-  #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages linux)     ; alsa-lib
   #:use-module (gnu packages mail)      ; for mailutils
+  #:use-module (gnu packages multiprecision)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages texinfo)
@@ -75,18 +75,17 @@
 (define-public emacs
   (package
     (name "emacs")
-    (version "26.3")
+    (version "27.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/emacs/emacs-"
                                   version ".tar.xz"))
-              (sha256
-               (base32
-                "119ldpk7sgn9jlpyngv5y4z3i7bb8q3xp4p0qqi7i5nq39syd42d"))
-              (patches (search-patches "emacs-exec-path.patch"
+              (patches (search-patches "emacs27-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
                                        "emacs-ignore-empty-xim-styles.patch"
                                        "emacs-source-date-epoch.patch"))
+              (sha256
+               (base32 "0h9f2wpmp6rb5rfwvqwv1ia1nw86h74p7hnz3vb3gjazj67i4k2a"))
               (modules '((guix build utils)))
               (snippet
                '(with-directory-excursion "lisp"
@@ -94,16 +93,7 @@
                   ;; autoloads.
                   (for-each delete-file
                             (append (find-files "." "\\.elc$")
-                                    (find-files "." "loaddefs\\.el$")
-                                    ;; This is the only "autoloads" file that
-                                    ;; does not have "*loaddefs.el" name.
-                                    ;; TODO: Next time changing this package,
-                                    ;; replace the following with a call to
-                                    ;; `find-files', so that `delete-file'
-                                    ;; wouldn't error out when the file is
-                                    ;; missing, making the entire snippet field
-                                    ;; reusable as-is for `emacs-next' below.
-                                    '("eshell/esh-groups.el")))
+                                    (find-files "." "loaddefs\\.el$")))
 
                   ;; Make sure Tramp looks for binaries in the right places on
                   ;; remote Guix System machines, where 'getconf PATH' returns
@@ -129,7 +119,8 @@
     (build-system glib-or-gtk-build-system)
     (arguments
      `(#:tests? #f                      ; no check target
-       #:configure-flags (list "--with-modules"
+       #:configure-flags (list "--with-harfbuzz"
+                               "--with-modules"
                                "--disable-build-details")
        #:phases
        (modify-phases %standard-phases
@@ -180,9 +171,35 @@
                ;; which leads to conflicts.
                (delete-file (string-append lisp-dir "/subdirs.el"))
                ;; Byte compile the site-start files.
-               (emacs-byte-compile-directory lisp-dir)))))))
+               (emacs-byte-compile-directory lisp-dir))))
+         ;; Needed when building from git
+         (add-before
+             'reset-gzip-timestamps
+             'make-compressed-files-writable
+           (lambda _
+             (for-each make-file-writable
+                       (find-files %output ".*\\.t?gz$"))
+             #t))
+         ;; restore the dump file that Emacs installs somewhere in
+         ;; libexec/ to its original state
+         (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
+           (lambda* (#:key outputs target #:allow-other-keys)
+             (let* ((libexec (string-append (assoc-ref outputs "out")
+                                            "/libexec"))
+                    ;; each of these find-files should return one file
+                    (pdmp (find-files libexec "^emacs\\.pdmp$"))
+                    (pdmp-real (find-files libexec
+                                           "^\\.emacs\\.pdmp-real$")))
+               (when (not (null? pdmp-real))
+                 (for-each (lambda (wrapper real)
+                             (delete-file wrapper)
+                             (rename-file real wrapper))
+                           pdmp pdmp-real))
+               #t))))))
     (inputs
      `(("gnutls" ,gnutls)
+       ("jansson" ,jansson)
+       ("harfbuzz" ,harfbuzz)
        ("ncurses" ,ncurses)
 
        ;; Avoid Emacs's limited movemail substitute that retrieves POP3 email
@@ -195,8 +212,8 @@
        ("libxft" ,libxft)
        ("libtiff" ,libtiff)
        ("giflib" ,giflib)
+       ("gmp" ,gmp)
        ("libjpeg" ,libjpeg-turbo)
-       ("imagemagick" ,imagemagick)
        ("acl" ,acl)
 
        ;; When looking for libpng `configure' links with `-lpng -lz', so we
@@ -360,7 +377,8 @@ languages.")
      `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
        ("ncurses" ,ncurses)))
     (native-inputs
-     `(("pkg-config" ,pkg-config)))))
+     `(("pkg-config" ,pkg-config)
+       ("texinfo" ,texinfo)))))
 
 (define-public emacs-xwidgets
   (package
@@ -387,8 +405,7 @@ editor (console only)")
     (inputs (fold alist-delete
                   (package-inputs emacs)
                   '("libx11" "gtk+" "libxft" "libtiff" "giflib" "libjpeg"
-                    "imagemagick" "libpng" "librsvg" "libxpm" "libice"
-                    "libsm"
+                    "libpng" "librsvg" "libxpm" "libice" "libsm"
 
                     ;; These depend on libx11, so remove them as well.
                     "libotf" "m17n-lib" "dbus")))))
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 18 Aug 2020 06:23:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 02:23:50 2020
Received: from localhost ([127.0.0.1]:33783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7v2D-0005kt-Ry
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 02:23:50 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:52282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1k7v2B-0005kf-LB
 for 42738 <at> debbugs.gnu.org; Tue, 18 Aug 2020 02:23:48 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1k7v26-0007R4-8p; Tue, 18 Aug 2020 02:23:42 -0400
Date: Tue, 18 Aug 2020 02:23:42 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: 42738 <at> debbugs.gnu.org
Subject: Re: [bug#42738] [Work in progress] gnu: emacs: update to 27.1
In-Reply-To: <alpine.DEB.2.21.2008062225250.4809@HIDDEN>
Message-ID: <alpine.DEB.2.21.2008180137010.4809@HIDDEN>
References: <alpine.DEB.2.21.2008062225250.4809@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
Cc: guix-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I've added guix-devel to the cc: becasue the Emacs upgrade has come up a 
few times on IRC, and there are ways for you to help move this upgrade 
along. Any suggestions are welcome, but in particular, you can help with 
the following:

* Review the inputs and configure flags. Are there any additional changes 
needed for the new Emacs version? A good place to start with this would be 
the Emacs NEWS file. It's quite lengthy, so additional eyes would be quite 
helpful.

* Making sure packages build and work with Emacs 27.1. I expect this to 
involve elisp hacking and working with upstream.

I have the following updates, since I prepared at patch for the 27.1 
release candidate:

On Thu, 6 Aug 2020, Jack Hill wrote:

> Hi Guix,
>
> Now that there is a release candidate for Emacs 27.1, I started working on 
> updating our Emacs packages.

Now that Emacs 27.1 has been released, I've updated the patch for released 
version. Per Michael Rohleder's (mroh) suggestion on IRC, I have added gmp 
as an input.

Is the emacs-wide-int variant needed with the new multiprecision 
functionality?

> For the most part, it went smoothly, but there are some other packages 
> that broke after updating Emacs. Of the packages reported by `guix 
> refresh -l emacs`, the following had issues:

I have not had a chance to try rebuilding the dependents, but I have 
updated news for the following packages:

> emacs-haskell-mode - Tests newly fail with Emacs 27. Issue reported upstream 
> [2]
>
> [2] https://github.com/haskell/haskell-mode/issues/1714
>
> emacs-dante - depends on emacs-haskell-mode

John Soo (jsoo) volunterred to look at the haskell packages. Thanks!

> emacs-ample-regexps - This package builds from an arbitrary commit,
> and updating that fixed issues with Emacs 27 [4].
>
>[4] https://issues.guix.gnu.org/42737

This patch has been merged!

> emacs-doom-themes - This package builds from an arbitrary commit, and 
> updating that fixed issues with Emacs 27 [5].
>
> [5] https://issues.guix.gnu.org/42736

This patch has been merged!

> emacs-treemacs - Tests newly fail with Emacs 27. Issue reported upstream [6].
>
> [6] https://github.com/Alexander-Miller/treemacs/issues/707

Upstream has acknowledged the issue and is investigating.

> emacs-treepy - Byte compilation failure. There is an existing upstram issue
> [8].
>
> [8] https://github.com/volrath/treepy.el/issues/8

Upstream fixed the issue, and Michael Rohleder got the fix into Guix. 
Thanks!

> emacs-github-review - depends on emacs-treepy

With the fixed treepy, emacs-github-review now builds as well.

> notmuch - Tests time out.

Work is being done upstream to add support for 27.1 [9]

[9] https://nmbug.notmuchmail.org/nmweb/show/87bljg8nxr.fsf%40cassou.me




Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at 42738 <at> debbugs.gnu.org:


Received: (at 42738) by debbugs.gnu.org; 7 Aug 2020 03:23:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 23:23:23 2020
Received: from localhost ([127.0.0.1]:55386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3syZ-0006WU-C7
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 23:23:23 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:49506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1k3syW-0006WF-Nb
 for 42738 <at> debbugs.gnu.org; Thu, 06 Aug 2020 23:23:21 -0400
Received: from cpe-107-15-18-231.nc.res.rr.com ([107.15.18.231]
 helo=alperton.home.eronel.org)
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1k3syR-0002Mn-AS
 for 42738 <at> debbugs.gnu.org; Thu, 06 Aug 2020 23:23:15 -0400
From: Jack Hill <jackhill@HIDDEN>
To: 42738 <at> debbugs.gnu.org
Subject: [PATCH] gnu: emacs: Update to 27.1-rc1.
Date: Thu,  6 Aug 2020 23:23:02 -0400
Message-Id: <20200807032302.27928-1-jackhill@HIDDEN>
X-Mailer: git-send-email 2.28.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42738
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs): Update to 27.1-rc1.
[arguments]: Add --with-harfbuzz and --with-modules to #configure-flags. Add
restore-emacs-pdump phase.
[inputs]: Add jansson and harfbuzz. Remove imagemagick.
---
 gnu/packages/emacs.scm | 68 ++++++++++++++++++++++++++----------------
 1 file changed, 43 insertions(+), 25 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index ad8d4b0606..b809e90690 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -58,7 +58,6 @@
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages image)
-  #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages linux)     ; alsa-lib
   #:use-module (gnu packages mail)      ; for mailutils
   #:use-module (gnu packages ncurses)
@@ -75,18 +74,18 @@
 (define-public emacs
   (package
     (name "emacs")
-    (version "26.3")
+    (version "27.1")
     (source (origin
-              (method url-fetch)
-              (uri (string-append "mirror://gnu/emacs/emacs-"
-                                  version ".tar.xz"))
-              (sha256
-               (base32
-                "119ldpk7sgn9jlpyngv5y4z3i7bb8q3xp4p0qqi7i5nq39syd42d"))
-              (patches (search-patches "emacs-exec-path.patch"
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.savannah.gnu.org/git/emacs.git")
+                    (commit "emacs-27.1-rc1")))
+              (patches (search-patches "emacs27-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
                                        "emacs-ignore-empty-xim-styles.patch"
                                        "emacs-source-date-epoch.patch"))
+              (sha256
+               (base32 "1vyw8bpairxfxim931xg3pwyl3afh2mmjxa2i1igsaiaaxyssbc6"))
               (modules '((guix build utils)))
               (snippet
                '(with-directory-excursion "lisp"
@@ -94,16 +93,7 @@
                   ;; autoloads.
                   (for-each delete-file
                             (append (find-files "." "\\.elc$")
-                                    (find-files "." "loaddefs\\.el$")
-                                    ;; This is the only "autoloads" file that
-                                    ;; does not have "*loaddefs.el" name.
-                                    ;; TODO: Next time changing this package,
-                                    ;; replace the following with a call to
-                                    ;; `find-files', so that `delete-file'
-                                    ;; wouldn't error out when the file is
-                                    ;; missing, making the entire snippet field
-                                    ;; reusable as-is for `emacs-next' below.
-                                    '("eshell/esh-groups.el")))
+                                    (find-files "." "loaddefs\\.el$")))
 
                   ;; Make sure Tramp looks for binaries in the right places on
                   ;; remote Guix System machines, where 'getconf PATH' returns
@@ -129,7 +119,8 @@
     (build-system glib-or-gtk-build-system)
     (arguments
      `(#:tests? #f                      ; no check target
-       #:configure-flags (list "--with-modules"
+       #:configure-flags (list "--with-harfbuzz"
+                               "--with-modules"
                                "--disable-build-details")
        #:phases
        (modify-phases %standard-phases
@@ -180,9 +171,35 @@
                ;; which leads to conflicts.
                (delete-file (string-append lisp-dir "/subdirs.el"))
                ;; Byte compile the site-start files.
-               (emacs-byte-compile-directory lisp-dir)))))))
+               (emacs-byte-compile-directory lisp-dir))))
+         ;; Needed when building from git
+         (add-before
+             'reset-gzip-timestamps
+             'make-compressed-files-writable
+           (lambda _
+             (for-each make-file-writable
+                       (find-files %output ".*\\.t?gz$"))
+             #t))
+         ;; restore the dump file that Emacs installs somewhere in
+         ;; libexec/ to its original state
+         (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
+           (lambda* (#:key outputs target #:allow-other-keys)
+             (let* ((libexec (string-append (assoc-ref outputs "out")
+                                            "/libexec"))
+                    ;; each of these find-files should return one file
+                    (pdmp (find-files libexec "^emacs\\.pdmp$"))
+                    (pdmp-real (find-files libexec
+                                           "^\\.emacs\\.pdmp-real$")))
+               (when (not (null? pdmp-real))
+                 (for-each (lambda (wrapper real)
+                             (delete-file wrapper)
+                             (rename-file real wrapper))
+                           pdmp pdmp-real))
+               #t))))))
     (inputs
      `(("gnutls" ,gnutls)
+       ("jansson" ,jansson)
+       ("harfbuzz" ,harfbuzz)
        ("ncurses" ,ncurses)
 
        ;; Avoid Emacs's limited movemail substitute that retrieves POP3 email
@@ -196,7 +213,6 @@
        ("libtiff" ,libtiff)
        ("giflib" ,giflib)
        ("libjpeg" ,libjpeg-turbo)
-       ("imagemagick" ,imagemagick)
        ("acl" ,acl)
 
        ;; When looking for libpng `configure' links with `-lpng -lz', so we
@@ -218,6 +234,7 @@
     (native-inputs
      `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
        ("pkg-config" ,pkg-config)
+       ("autoconf" ,autoconf) ;Needed when building from git
        ("texinfo" ,texinfo)))
 
     (native-search-paths
@@ -360,7 +377,9 @@ languages.")
      `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
        ("ncurses" ,ncurses)))
     (native-inputs
-     `(("pkg-config" ,pkg-config)))))
+     `(("pkg-config" ,pkg-config)
+       ("autoconf" ,autoconf) ;Needed when building from git
+       ("texinfo" ,texinfo)))))
 
 (define-public emacs-xwidgets
   (package
@@ -387,8 +406,7 @@ editor (console only)")
     (inputs (fold alist-delete
                   (package-inputs emacs)
                   '("libx11" "gtk+" "libxft" "libtiff" "giflib" "libjpeg"
-                    "imagemagick" "libpng" "librsvg" "libxpm" "libice"
-                    "libsm"
+                    "libpng" "librsvg" "libxpm" "libice" "libsm"
 
                     ;; These depend on libx11, so remove them as well.
                     "libotf" "m17n-lib" "dbus")))))
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Aug 2020 03:21:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 23:21:09 2020
Received: from localhost ([127.0.0.1]:55377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3swO-0006ST-Sa
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 23:21:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:46758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1k3swL-0006SG-09
 for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 23:21:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49858)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jackhill@HIDDEN>)
 id 1k3swK-0001FB-R9
 for guix-patches@HIDDEN; Thu, 06 Aug 2020 23:21:04 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:51320)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jackhill@HIDDEN>)
 id 1k3swJ-0001RC-30
 for guix-patches@HIDDEN; Thu, 06 Aug 2020 23:21:04 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1k3swI-0002JJ-Kr
 for guix-patches@HIDDEN; Thu, 06 Aug 2020 23:21:02 -0400
Date: Thu, 6 Aug 2020 23:21:02 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: guix-patches@HIDDEN
Subject: [Work in progress] gnu: emacs: update to 27.1
Message-ID: <alpine.DEB.2.21.2008062225250.4809@HIDDEN>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
Received-SPF: pass client-ip=104.248.1.95; envelope-from=jackhill@HIDDEN;
 helo=minsky.hcoop.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/06 23:18:03
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi Guix,

Now that there is a release candidate for Emacs 27.1, I started working on 
updating our Emacs packages. For the most part, it went smoothly, but 
there are some other packages that broke after updating Emacs. Of the 
packages reported by `guix refresh -l emacs`, the following had issues:

emacs-picpocket - picpocket uses ImageMagic, but Emacs no longer defaults 
to using ImageMagic [0]. This may not be a package that we want to support 
with Emacs >=27

[0] http://git.savannah.gnu.org/cgit/emacs.git/tree/etc/NEWS?h=emacs-27.1-rc1&id=27877e7bcfa37b2c97a3dde170f870d4729ff807#n96

bigloo - Currently fails to build [1], and the Emacs upgrade did not 
change that.

[1] https://issues.guix.gnu.org/42726

hop - depends on bigloo

emacs-haskell-mode - Tests newly fail with Emacs 27. Issue reported 
upstream [2]

[2] https://github.com/haskell/haskell-mode/issues/1714

emacs-dante - depends on emacs-haskell-mode

emacs-clojure-mode - Documentation tests newly fail wtih Emacs 27. Issue 
reported upstream [3]

[3] https://github.com/clojure-emacs/clojure-mode/issues/568

emacs-ample-regexps - This package builds from an arbitrary commit, 
and updating that fixed issues with Emacs 27 [4].

[4] https://issues.guix.gnu.org/42737

emacs-doom-themes - This package builds from an arbitrary commit, and 
updating that fixed issues with Emacs 27 [5].

[5] https://issues.guix.gnu.org/42736

emacs-treemacs - Tests newly fail with Emacs 27. Issue reported upstream [6].

[6] https://github.com/Alexander-Miller/treemacs/issues/707

emacs-lsp-java - depends on treemacs

emacs-treemacs-extra - depends on treemacs

emacs-psc-ide - Byte compilation fails with Emacs 27. Issue reported 
upstream [7].

[7] https://github.com/purescript-emacs/psc-ide-emacs/issues/193

emacs-treepi - Byte compilation failure. There is an existing upstram 
issue [8].

[8] https://github.com/volrath/treepy.el/issues/8

emacs-github-review - depends on emacs-treepi

notmuch - Tests time out.

emacs-elisp-ref - Tests fail. Issue reported upstream [9].

[9] https://github.com/Wilfred/elisp-refs/issues/29

emacs-helpful - depends on emacs-elisp-ref

emacs-racer - Tests fail. Issue reported upstream [10].

[10] https://github.com/racer-rust/emacs-racer/issues/136

emacs-md4rd - Byte compilation fails. Issue reported upstream [11].

[11] https://github.com/ahungry/md4rd/issues/28

Having said that, I will send the patch that I have for updating Emacs. 
This borrows heavily from the current definition of emacs-next. One thing 
I don't understand is why I had to add texinfo to the native inputs of 
emacs-minimal. Perhaps that can be removed with a configure option. That 
said, `guix size` reports a decrease from 205.3 MiB to 182.9 MiB for 
emacs-minimal (and emacs decreased from 1209.8 MiB to 859.7 MiB).

I've also left emacs-next alone for now. We'll probably want to update it 
as well at some point.

Best,
Jack




Acknowledgement sent to Jack Hill <jackhill@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#42738; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 19 Sep 2020 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.